# Generated by Makefile. Do not edit.

commit 66ac7579856968d3f4b76c04d55327c60b37f2fb (HEAD -> master, tag: 3.36.0)
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Tue Mar 10 18:45:20 2020 -0500

    Prepare 3.36.0

M	NEWS
M	configure.ac

commit 4954819c93f996592f08cef6297da6a18b2bd173 (origin/master, origin/HEAD)
Author: Jwtiyar Nariman <jwtiyar@gmail.com>
Date:   Sun Jan 19 07:46:26 2020 +0000

    Add Kurdish Sorani translation

M	po/LINGUAS
A	po/ckb.po

commit 12317cba50b07a5ddb8f991c9a1781bea8e47cc3 (tag: 3.35.3)
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 4 08:38:29 2020 -0600

    Prepare 3.35.3

M	NEWS
M	configure.ac

commit 552d2a853c31fed7f4db922867d115433d263eb9
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 4 08:35:02 2020 -0600

    Update HACKING and README

M	HACKING
M	Makefile.am
M	README

commit eb3d7e7c3ea60a315daebf9cf18fbee1aea2998b
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Sat Jan 4 08:27:09 2020 -0600

    Remove old maintainers, thanks for your service!

D	MAINTAINERS
M	gnome-menus.doap

commit 4768cfeb14baf5bb8e54f6797f120f0e0f204b05
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Wed Dec 25 03:52:18 2019 +0000

    Update Galician translation

M	po/gl.po

commit 59fff33eb52385b767fe159e8514f0ca53793def
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 19 21:54:42 2019 -0600

    Really move Usage to Utilities category
    
    I should probably get some sleep.

M	layout/gnome-applications.menu

commit 30b463365dc09cd4ab005d6c0a7f8b90a7c09a49
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 19 21:38:54 2019 -0600

    Add warning that web applications category is broken
    
    Web apps have not received the Network category in a long time, and I
    don't think X-GNOME-WebApplication was ever a real thing.

M	layout/gnome-applications.menu

commit 29dc4251e37633ee4c75653f4372b501a139cac0
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 19 21:38:17 2019 -0600

    Move Simple Scan and Usage to Utilities folder

M	layout/gnome-applications.menu

commit f5a4bbfef02cd02ec062be4170112c62b737dafa
Author: Michael Catanzaro <mcatanzaro@gnome.org>
Date:   Thu Dec 19 21:34:59 2019 -0600

    Update seahorse desktop filename

M	layout/gnome-applications.menu

commit 4ffa94a317eb2640bde39f25cad98bca2b920f33
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:   Mon Dec 9 09:30:46 2019 +0000

    Update Malay translation

M	po/ms.po

commit c4f85ee120065c21cc735809007075e7a5c575be
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Thu Aug 29 02:13:27 2019 +0200

    Updated Danish translation

M	po/da.po

commit c55c85003e9e077c2d7f138c6c61fba37b4f71f2
Author: Danial Behzadi <dani.behzi@ubuntu.com>
Date:   Wed Aug 21 11:31:32 2019 +0000

    Update Persian translation

M	po/fa.po

commit 2ec9f5a245669d0aaccc86aaecf37700b26ffccb
Author: Jor Teron <jor.teron@gmail.com>
Date:   Thu Jul 25 08:36:00 2019 +0000

    Update Karbi translation

M	po/mjw.po

commit 49164247a95382715836eb2563650a1510c7d77b
Author: Jor Teron <jor.teron@gmail.com>
Date:   Mon Jul 15 07:52:45 2019 +0000

    Update Karbi translation

M	po/mjw.po

commit 4ac7cf4059eafe689fc36bcee91c2a0d2addb762
Author: Jor Teron <jor.teron@gmail.com>
Date:   Sun Jul 14 03:19:31 2019 +0000

    Update Karbi translation

M	po/mjw.po

commit 1dacb88112e7acd5d6d0ac9363eb344dd46420bb
Author: Jor Teron <jor.teron@gmail.com>
Date:   Sun Jul 14 03:08:35 2019 +0000

    Update Karbi translation

M	po/mjw.po

commit ab10b769c035ed8a62c1bed7bf38e36af8ccae86
Author: Jor Teron <jor.teron@gmail.com>
Date:   Sun Jul 14 02:27:56 2019 +0000

    Add Karbi translation

M	po/LINGUAS
A	po/mjw.po

commit d69c015427821a55d1d3f5c446ae4f132e4fa7cc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 19 17:42:21 2019 +0200

    Update translator comments
    
    So that Damned Lies ignores icons, see
    https://gitlab.gnome.org/Infrastructure/damned-lies/issues/142

M	desktop-directories/AudioVideo.directory.desktop.in
M	desktop-directories/Development.directory.desktop.in
M	desktop-directories/Education.directory.desktop.in
M	desktop-directories/Game.directory.desktop.in
M	desktop-directories/Graphics.directory.desktop.in
M	desktop-directories/Network.directory.desktop.in
M	desktop-directories/Office.directory.desktop.in
M	desktop-directories/System-Tools.directory.desktop.in
M	desktop-directories/Utility-Accessibility.directory.desktop.in
M	desktop-directories/Utility.directory.desktop.in
M	desktop-directories/X-GNOME-Menu-Applications.directory.desktop.in
M	desktop-directories/X-GNOME-Other.directory.desktop.in
M	desktop-directories/X-GNOME-Sundry.directory.desktop.in
M	desktop-directories/X-GNOME-Utilities.directory.desktop.in
M	desktop-directories/X-GNOME-WebApplications.directory.desktop.in

commit 6eff0d81904f2d6ca792f3bf6177e12f8fd23015
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Mar 31 14:57:49 2019 +0000

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit 2878ae45e5411e302c793bca5fc63a91826c2c6f
Author: Goran Vidović <trebelnik2@gmail.com>
Date:   Tue Mar 26 11:08:46 2019 +0000

    Update Croatian translation

M	po/hr.po

commit 66033d9c7283225cd9375f60722df55377ada7e3
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Thu Mar 14 07:39:20 2019 +0000

    Update Basque translation

M	po/eu.po

commit b318b67475d4a3308a744b05c08533b6303c721f
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Thu Mar 14 07:36:52 2019 +0000

    Update Basque translation

M	po/eu.po

commit 4a3944773c0d7201148055a5f7fd103c99263183 (tag: 3.32.0)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Mar 11 19:24:51 2019 -0400

    Release 3.32.0

M	NEWS
M	configure.ac

commit 3c3abecef02a66a40b1bbe21a27d66a8313d56c6
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Mar 8 05:48:29 2019 +0000

    Update Korean translation

M	po/ko.po

commit f262aeb2f22d2fe5a5099fa97ed629fc7512a594
Author: Kukuh Syafaat <kukuhsyafaat@gnome.org>
Date:   Wed Mar 6 16:36:08 2019 +0000

    Update Indonesian translation

M	po/id.po

commit ec737dc43d88edbf7f3ff4cabab3b6e8c23baef8
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Tue Mar 5 19:44:35 2019 +0000

    Update Hungarian translation

M	po/hu.po

commit 914aecde27748d6dede931d12be0377c7cfd96be
Author: Stas Solovey <whats_up@tut.by>
Date:   Tue Mar 5 17:52:46 2019 +0000

    Update Russian translation

M	po/ru.po

commit ea9ec3d38dc21af858eb1b62bef1151dc8028ec6
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Tue Mar 5 16:08:27 2019 +0100

    Updated Danish translation

M	po/da.po

commit 861c4f476cbc3c407be1f8a1532dd717adfc8503
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Tue Mar 5 12:53:11 2019 +0000

    Update Italian translation

M	po/it.po

commit 3f3a11ce7da62eb621a55459f81bac81ee9a4897
Author: Nathan Follens <nfollens@gnome.org>
Date:   Tue Mar 5 11:12:04 2019 +0000

    Update Dutch translation

M	po/nl.po

commit 4576060d96a808776b817abbd812272b68ff06f2
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Tue Mar 5 07:04:03 2019 +0100

    Updated Czech translation

M	po/cs.po

commit 6635f81199d784b9d889f0ea4004a06823174a2a
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Tue Mar 5 07:21:42 2019 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 2cf20c98f6f275cc5f9a2b21960c33a025793399
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Mon Mar 4 20:54:14 2019 +0000

    Update Serbian translation

M	po/sr.po

commit aa01312106902bd9d022e75767213794326ac0bc
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Mon Mar 4 16:45:14 2019 +0000

    Update Romanian translation

M	po/ro.po

commit a0a86d97a37417b7cfc40a6c5fb74f496b538559 (tag: 3.31.92)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sun Mar 3 16:22:21 2019 -0500

    Release 3.31.92

M	NEWS
M	configure.ac

commit 632d492bbc589ef77767fcffaaadc980921f9450
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sun Mar 3 19:31:21 2019 -0500

    Restore minimal Sundry category
    
    Partial workaround for https://gitlab.gnome.org/GNOME/gnome-menus/7
    
    Upgraders will still have a Sundry app folder in GNOME Shell,
    which can be removed by manually running something like
    dconf reset -f /org/gnome/desktop/app-folders/
    
    The Sundry app folder is at least better than a X-GNOME-Sundry
    app folder.
    
    New installs and everything else that don't use GNOME app folders
    won't have a Sundry app folder.

M	desktop-directories/Makefile.am
A	desktop-directories/X-GNOME-Sundry.directory.desktop.in
M	po/POTFILES.in

commit 4eeabf91ea1520147ddc34d483a72de529fe7c08
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Mon Mar 4 07:41:33 2019 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit b4600621efefd75b58486729e806a81a1014ee4b
Author: Kalev Lember <klember@redhat.com>
Date:   Thu Feb 21 16:56:37 2019 +0100

    layout: Add nm-connection-editor to Utilities category
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-menus/issues/10

M	layout/gnome-applications.menu

commit 4569c666c1e30168104933c8d8209a341b77e45f
Author: Rūdolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Mar 3 13:48:27 2019 +0000

    Update Latvian translation

M	po/lv.po

commit 82e86386a6659e288df5e843e59ba51703b920dd
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:   Thu Feb 28 13:12:11 2019 +0000

    Update Serbian translation

M	po/sr.po

commit 341111733339bbf80b8e132a66793a255cebffa7
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Thu Feb 28 03:16:29 2019 +0000

    Update Korean translation

M	po/ko.po

commit bfab5035737fb4f16ce51289dc7d01b233430256
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Wed Feb 27 07:44:56 2019 +0000

    Update Italian translation

M	po/it.po

commit 8efe4bcac4fed67e8068b9d604ad80e4692da18c
Author: Bernd Homuth <dev@hmt.im>
Date:   Tue Feb 26 19:02:35 2019 +0000

    Update German translation

M	po/de.po

commit 9e0959a2941371818db6c23268ae23b2b20091d2
Author: Stas Solovey <whats_up@tut.by>
Date:   Sun Feb 24 20:52:45 2019 +0000

    Update Russian translation

M	po/ru.po

commit 28127bd8f64f117dec2f1f624707a8012a8463ce
Author: Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Date:   Sun Feb 24 19:32:20 2019 +0000

    Update Basque translation

M	po/eu.po

commit 48f3ad805dee6376565e91f0f14674ef765831dd
Author: Nathan Follens <nathan@anche.no>
Date:   Sun Feb 24 11:26:30 2019 +0000

    Update Dutch translation

M	po/nl.po

commit a892710e71360a06e9b590a2ef3bdb127e39b22c
Author: Gun Chleoc <fios@foramnagaidhlig.net>
Date:   Sat Feb 16 10:48:05 2019 +0000

    Update Scottish Gaelic translation
    
    (cherry picked from commit 3128936d510d9d5fba8cb78082316e0310e4b7b9)

M	po/gd.po

commit 6db27c09b1f6c19c006a92ce88b71682d44b64f5
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Feb 16 10:35:53 2019 +0000

    Update Kazakh translation

M	po/kk.po

commit 780f920a91e6bdb9526195a401e80c21610d569c
Author: Alan Mortensen <alanmortensen.am@gmail.com>
Date:   Wed Feb 13 18:13:57 2019 +0100

    Updated Danish translation

M	po/da.po

commit 78fb5d49d9ccab96f222cf1d21064e8f82d5ab48
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Feb 9 12:59:51 2019 +0000

    Use autoreconf instead deprecated gnome-common
    
    See https://wiki.gnome.org/Projects/GnomeCommon/Migration

M	autogen.sh
M	configure.ac

commit 63fa9835f08eff66e901602196e6d5bab1a36c1f
Author: Marek Cernocky <marek_cernocky@conel.cz>
Date:   Wed Feb 6 12:18:50 2019 +0100

    Updated Czech translation

M	po/cs.po

commit 54284660e9d54778a8acf7548e51d2a4bcdfabbe
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Tue Feb 5 20:09:59 2019 +0000

    Update Finnish translation

M	po/fi.po

commit bd72e16dde5fcbdd8188030374706de86590c979 (tag: 3.31.90)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Feb 4 19:06:56 2019 -0500

    Release 3.31.90

M	NEWS
M	configure.ac

commit e57b63a24105d564d93b837bafc6559af045f381
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Feb 3 16:44:59 2019 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 5b6991203a5b788b570d070f321f3151728cd2c6
Author: Kukuh Syafaat <kukuhsyafaat@gnome.org>
Date:   Sat Feb 2 16:23:15 2019 +0000

    Update Indonesian translation

M	po/id.po

commit 72b55b0efe96567f5e03f31dd49cdd34299519f8
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sat Feb 2 08:45:41 2019 +0000

    Update Friulian translation

M	po/fur.po

commit 0a66ae2f8c5bee830c6f088f9da04bfd289867c0
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:   Thu Jan 31 12:29:35 2019 +0000

    Update Romanian translation

M	po/ro.po

commit f5898426bb8991e6ad0bf335086baac801436287
Author: Balázs Úr <balazs@urbalazs.hu>
Date:   Sun Jan 27 14:31:24 2019 +0000

    Update Hungarian translation

M	po/hu.po

commit 66890eaa21735e63cbcd9a4e53e7b2259814125b
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Sat Jan 26 22:22:29 2019 +0000

    Update Galician translation

M	po/gl.po

commit 6a55ae5ed0bc3000cbab4d4b61b2a4ba10d98bbd
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Fri Jan 25 23:04:19 2019 -0500

    ci: switch to debian-slim image since it's 10x smaller
    
    than gnome-runtime base
    
    Ubuntu has an even smaller image but Debian is good enough here for now

M	.gitlab-ci.yml

commit d94eb457ee9f0407c714f56d04f68600dab6de8f
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Fri Jan 25 20:52:57 2019 -0500

    ci: add menu-validation test
    
    This would have caught our recent mistake

A	.gitlab-ci.yml

commit 8d15238ca39fedd8882f441868f60bf4fa8431ec
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Jan 25 21:42:53 2019 +0100

    Added Slovenian translation

M	po/sl.po

commit 78b5a318cd50c95338d0294d219b2da0e506601b
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Thu Jan 24 15:05:12 2019 -0500

    layout: fix missing Exclude close tag after Sundry removal
    
    Closes: https://gitlab.gnome.org/GNOME/gnome-menus/issues/9

M	layout/gnome-applications.menu

commit aeaec65c7c68e7eab1f9c9c2e28a8a9292f16216
Author: Kalev Lember <klember@redhat.com>
Date:   Tue Jan 22 14:10:20 2019 +0100

    layout: Add gnome-abrt to Utilities category
    
    Fixes: https://gitlab.gnome.org/GNOME/gnome-menus/issues/8

M	layout/gnome-applications.menu

commit e4a720dd725680d29144018ea7c6ce1f1497f4a9
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:   Mon Jan 21 21:42:55 2019 +0000

    Update Greek translation

M	po/el.po

commit 74771e78de764bcd9d42e6a3e2c6262458355af9 (tag: 3.31.4)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Jan 21 14:23:43 2019 -0500

    Release 3.31.4

M	NEWS
M	configure.ac

commit 8e646d26f322a83a1eda49dc3ea0b5a3d698ade4
Author: Pieter Schalk Schoeman <pieter@sonbesie.co.za>
Date:   Sun Jan 20 23:01:41 2019 +0000

    Update Afrikaans translation

M	po/af.po

commit 522ced833e461385a3da83ccb92e03bb9fa991c8
Author: Ryuta Fujii <translation@sicklylife.jp>
Date:   Fri Jan 18 20:43:57 2019 +0000

    Update Japanese translation

M	po/ja.po

commit 2d291d781c53d217519883d2a24ff1c018d7acfa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Jan 18 17:51:20 2019 +0100

    Update POTFILES.in

M	po/POTFILES.in

commit 8d8f7107cb8b1c65a16fd9b43d7c6d9048fbceea
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 24 11:15:00 2018 -0500

    layout: Remove Sundry category
    
    This category has always been a bit controversial.
    
    In 2019, the category isn't very useful any more since
    most typical GNOME 3 installs will not see this category.
    
    I think we can take that as a win for the reasons the
    category was originally created.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=781101

M	desktop-directories/Makefile.am
D	desktop-directories/X-GNOME-Sundry.directory.desktop.in
M	layout/gnome-applications.menu

commit 405cfbff787293adadf2a12501a4874dd6b453b1
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jan 17 12:18:41 2019 +0100

    Update Polish translation

M	po/pl.po

commit 8dc4c3a8bfa295ae0a13a0759ab74ef0a60fb242
Author: Carmen Bianca BAKKER <carmen@carmenbianca.eu>
Date:   Mon Jan 14 21:44:46 2019 +0000

    Update Esperanto translation

M	po/eo.po

commit 4a41433f073e70577c182c2ec8d8c1ec88b62a8c
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:   Wed Jan 9 20:15:52 2019 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 9aeddaa33855e9006a14bbee5b67b0fbc834b684
Author: Julien Humbert <julroy67@gmail.com>
Date:   Mon Jan 7 18:28:32 2019 +0000

    Update French translation

M	po/fr.po

commit 6256dc17e950b6a6dc2486b86957abcc12f3171f
Author: Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Date:   Wed Jan 2 08:26:53 2019 +0100

    Updated Spanish translation

M	po/es.po

commit 0c8a58c8caac742d606437ec407994ed257b93d7
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:   Sat Dec 29 11:07:42 2018 +0000

    Update Turkish translation

M	po/tr.po

commit f9258d96a40a46d92f10f3eab4b1fbe89188e21b
Author: Jordi Mas <jmas@softcatala.org>
Date:   Sat Dec 29 10:16:02 2018 +0100

    Update Catalan translation

M	po/ca.po

commit 69b9fca0f26ec63b9a5f2da36de623e6aab9187f
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Fri Dec 28 11:23:19 2018 +0000

    Update Swedish translation

M	po/sv.po

commit b3f51d8577cf7ed00f5a53569b4f022b9ff30fda
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Sun Dec 2 15:44:26 2018 +0200

    use upstream gettext
    
    This commit renames *.directory.in files to *.directory.desktop.in to
    workaround xgettext limitation - it does not know how to extract strings
    from files with directory extension.
    
    https://gitlab.gnome.org/GNOME/gnome-build-meta/issues/104

M	configure.ac
A	desktop-directories/AudioVideo.directory.desktop.in
D	desktop-directories/AudioVideo.directory.in
A	desktop-directories/Development.directory.desktop.in
D	desktop-directories/Development.directory.in
A	desktop-directories/Education.directory.desktop.in
D	desktop-directories/Education.directory.in
A	desktop-directories/Game.directory.desktop.in
D	desktop-directories/Game.directory.in
A	desktop-directories/Graphics.directory.desktop.in
D	desktop-directories/Graphics.directory.in
M	desktop-directories/Makefile.am
A	desktop-directories/Network.directory.desktop.in
D	desktop-directories/Network.directory.in
A	desktop-directories/Office.directory.desktop.in
D	desktop-directories/Office.directory.in
A	desktop-directories/System-Tools.directory.desktop.in
D	desktop-directories/System-Tools.directory.in
A	desktop-directories/Utility-Accessibility.directory.desktop.in
D	desktop-directories/Utility-Accessibility.directory.in
A	desktop-directories/Utility.directory.desktop.in
D	desktop-directories/Utility.directory.in
A	desktop-directories/X-GNOME-Menu-Applications.directory.desktop.in
D	desktop-directories/X-GNOME-Menu-Applications.directory.in
A	desktop-directories/X-GNOME-Other.directory.desktop.in
D	desktop-directories/X-GNOME-Other.directory.in
A	desktop-directories/X-GNOME-Sundry.directory.desktop.in
D	desktop-directories/X-GNOME-Sundry.directory.in
R100	desktop-directories/X-GNOME-SystemSettings.directory.in	desktop-directories/X-GNOME-SystemSettings.directory.desktop.in
A	desktop-directories/X-GNOME-Utilities.directory.desktop.in
D	desktop-directories/X-GNOME-Utilities.directory.in
A	desktop-directories/X-GNOME-WebApplications.directory.desktop.in
D	desktop-directories/X-GNOME-WebApplications.directory.in
A	po/Makevars
M	po/POTFILES.in

commit f8708a09630eedd038cbc377007cbf687228a2e6
Author: Pino Toscano <toscano.pino@tiscali.it>
Date:   Mon Dec 24 22:36:36 2018 +0100

    Switch to modern realpath()
    
    Assume everywhere that the realpath() implementation has the
    POSIX.1-2008 behaviour, i.e. allowing NULL as second parameter and thus
    returning a newly allocated buffer; it is not just a GNU extension,
    and supported already by modern libc's on other OSes.
    
    menu_canonicalize_file_name() is always called with FALSE as second
    parameter, so it is replaced directly by realpath(); this allows the
    complete removal of canonicalize.{c,h}.

M	libmenu/Makefile.am
D	libmenu/canonicalize.c
D	libmenu/canonicalize.h
M	libmenu/entry-directories.c
M	libmenu/gmenu-tree.c
M	libmenu/menu-layout.c

commit d21dc597cb435fa4881e89c88c134ff1900e8fce
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 24 19:12:40 2018 -0500

    doap: Add a description

M	gnome-menus.doap

commit bee4b7ebd50dd4d3015b340b1acfffcbe3d5a7ed
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 24 19:10:29 2018 -0500

    doap: Add myself to doap to update the merge settings

M	gnome-menus.doap

commit 63afc765035c855ff1222a140f6403449b60bdc2
Author: Yacine Bouklif <yacinebouklif@gmail.com>
Date:   Sun Dec 16 16:39:22 2018 +0000

    Add Kabyle translation

M	po/LINGUAS
A	po/kab.po

commit 3df6d860fa882ef48e39d1c3f7a905c0cd1badfc (tag: 3.31.3)
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 10 14:30:48 2018 -0500

    Release 3.31.3

M	NEWS
M	configure.ac

commit cdf448088c132eaa3a456f1cdcaa35d1be516784
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 3 22:08:00 2018 -0500

    layout: Drop obsolete Fedora special case .desktop filenames

M	layout/gnome-applications.menu

commit 3df3eb95af48f4a9880c3a0f611e20324aa0d6d9
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 3 22:07:09 2018 -0500

    layout: drop obsolete orca.desktop
    
    Orca doesn't ship a .desktop file any more

M	layout/gnome-applications.menu

commit e9ef509a95de864a4e1c5d3ab058124ac1306197
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Mon Dec 3 22:06:05 2018 -0500

    layout: Update .desktop names
    
    Many apps have switched to reverse-domain .desktop filenames

M	layout/gnome-applications.menu

commit b093295deb45306457b670955615409cbce432c2
Author: Saikeo Kavhanxay <kavhanxay@hotmail.com>
Date:   Tue Sep 11 03:30:57 2018 +0000

    Update Lao translation

M	po/lo.po

commit 65c0b5bd5a96272f4195e82befd05480e1ba3b14
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sun Aug 12 11:43:45 2018 +0200

    Use https links instead of http

M	README

commit fae00c443174e4d5ecb39d134058e8e6fb11db5f
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sun Aug 12 11:42:31 2018 +0200

    Link to Gitlab instead of Bugzilla
    
    Fixes #4

M	README

commit 510ef1c378486ce31ad71af050e5f7e0a2faecd6
Author: Xavi Ivars <xavi.ivars@gmail.com>
Date:   Thu Oct 5 14:26:38 2017 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7f0844e1c933249faccb3999aacaf44b155813e4
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Thu Aug 10 09:42:31 2017 +0000

    Update Galician translation

M	po/gl.po

commit 03648a10d87687b70d2e979f4f998045e9c8ddef
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Jun 11 03:59:03 2017 +0200

    Updated Esperanto translation

M	po/eo.po

commit 69656ff5f11be5d37fbcff3e222b2fae4afe2f68
Author: gogo <trebelnik2@gmail.com>
Date:   Thu Sep 22 20:09:25 2016 +0000

    Updated Croatian translation

M	po/hr.po

commit 0712e600e6d82d07856b24b7b0058a19860aa19b
Author: David King <amigadave@amigadave.com>
Date:   Sun Sep 18 12:58:05 2016 +0200

    Update British English translation

M	po/en_GB.po

commit 41eadc80121352725d6897ca727287cb88650f00
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Aug 22 20:41:36 2016 +0200

    Updated Polish translation

M	po/pl.po

commit 735d81da731cd3df4fcd1b618c0dc02ee8ace6dc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Jul 19 22:33:56 2016 +0200

    Add Language headers to po files
    
    Future versions of gettext will fail if this header is missing.

M	po/ak.po
M	po/an.po
M	po/ast.po
M	po/be@latin.po
M	po/bn.po
M	po/bn_IN.po
M	po/br.po
M	po/ca@valencia.po
M	po/crh.po
M	po/cy.po
M	po/de.po
M	po/dv.po
M	po/dz.po
M	po/en@shaw.po
M	po/en_CA.po
M	po/es.po
M	po/fa.po
M	po/fr.po
M	po/fur.po
M	po/gd.po
M	po/gn.po
M	po/gu.po
M	po/gv.po
M	po/ha.po
M	po/he.po
M	po/hr.po
M	po/hy.po
M	po/ig.po
M	po/io.po
M	po/ka.po
M	po/kg.po
M	po/km.po
M	po/ko.po
M	po/ku.po
M	po/lo.po
M	po/mai.po
M	po/mg.po
M	po/mk.po
M	po/ms.po
M	po/nds.po
M	po/ps.po
M	po/rw.po
M	po/sl.po
M	po/sq.po
M	po/sr@latin.po
M	po/tg.po
M	po/tr.po
M	po/ug.po
M	po/uz@cyrillic.po
M	po/yo.po
M	po/zh_HK.po
M	po/zh_TW.po

commit 7e21db338983cfd8e8321cd3a3cf5cbf7bbf9253
Author: Lawrence Aberba <karabutaworld@gmail.com>
Date:   Thu Jun 30 20:16:30 2016 +0200

    Added Akan translation

M	po/LINGUAS
A	po/ak.po

commit 91dcad9e0469bdb76bb0d9b406e056bbe52076f6
Author: Przemysław Buczkowski <przemub@yahoo.pl>
Date:   Sun Jun 5 11:36:04 2016 +0200

    Updated Silesian translation

M	po/szl.po

commit ce87e3a7d2a03bb9a3c32c9ebfb7c823c6ae66e3
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Mon May 30 18:41:22 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit 30c43694f3019dbf12b12f84ec29af05f41f503f
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Thu May 5 20:03:42 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit a4c2fc8f7150a6e4a91b059a616fb9cd29b899f7
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:   Sun Mar 20 23:13:25 2016 +0100

    Updated Danish translation

M	po/da.po

commit 13c6790a309d392fbf892831e3041ee0296894fd
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Wed Jan 20 18:48:20 2016 +0100

    libmenu: Remove support for legacy-dirs
    
    Those directories have been deprecated for over a decade and GIO's
    GDesktopAppInfo API already ignores them ...
    It's time to let go, simply ignore any <LegacyKDEDirs> and <LegacyDir>
    elements in menus.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=760900

M	layout/gnome-applications.menu
M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/entry-directories.c
M	libmenu/entry-directories.h
M	libmenu/gmenu-tree.c
M	libmenu/menu-layout.c

commit 37010e03cad4cb522c3f30146e7ac5a172d43077
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Jan 10 18:08:33 2016 +0200

    Updated Lithuanian translation

M	po/lt.po

commit f05f2afa0b15687777759182685b41277cfd1e6e
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Fri Nov 6 22:35:08 2015 +0200

    Fixed errors in Lithuanian translation

M	po/lt.po

commit fd0325e8888c224c52cb9463df43cd79a7a4d225
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:   Sat Oct 31 09:25:44 2015 +0000

    Updated Occitan translation

M	po/oc.po

commit 2d85f8e0c7b94d7d94a7f9bb8c83c6861c6d4ad9
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Sun Jul 26 08:50:52 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 9918674fe260c92da84ca7b73ebb202425e32301
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:   Mon Jun 29 22:21:28 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 9909fc3405dbbab9976d04357d69e2563b105c8b
Author: laurent Soleil <contact@laurent-soleil.com>
Date:   Tue Apr 28 13:12:01 2015 +0000

    Updated Occitan translation

M	po/oc.po

commit c5910afb345a98ca8d26375ccbc3266409d20379
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:   Fri Mar 13 15:49:23 2015 +0000

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 307bad8f149fe9cc44a447e0c79faa5223787bf1
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:   Mon Feb 2 22:28:40 2015 +0100

    Updated Dutch translation
    
    - Fix duplicate translation, reported by Paul van der Vlis

M	po/nl.po

commit 90a7fecd858be245da08d67b2d704c77bbfea07b
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Tue Jan 20 21:19:38 2015 +0000

    Updated Friulian translation

M	po/fur.po

commit b919ed661a3b706c2b7e5f96a652930dc6b596f9
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:   Sun Jan 11 23:03:05 2015 +0000

    Updated Icelandic translation

M	po/is.po

commit 4befe76fbdb76aa6a986297ef71d1601b2ced42e
Author: Josselin Mouette <joss@debian.org>
Date:   Sun Dec 14 20:36:36 2014 +0100

    desktop-entries: fix trivial bug in handling of multiple desktops in
    XDG_CURRENT_DESKTOP.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=741505

M	libmenu/desktop-entries.c

commit 09ba519fafdd2bb6e233569959f5f4e6d3266ff9
Author: Josef Andersson <josef.andersson@gmail.com>
Date:   Thu Nov 13 21:51:50 2014 +0000

    Updated Swedish translation

M	po/sv.po

commit b4546ab43c2c7ef6fb6cb7e5db83dc3975b56e8e
Author: Alberts Muktupāvels <alberts.muktupavels@gmail.com>
Date:   Mon Oct 27 18:41:34 2014 +0200

    desktop-entries: support multiple desktops in XDG_CURRENT_DESKTOP
    
    This is based on glib commit:
    5a5e16e93c4f11e635918ecdb41681f63fd05a39

M	libmenu/desktop-entries.c

commit 0ee7a1167e5981bf3521af28592a44f6a37289c7
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Sun Oct 19 22:14:35 2014 -0400

    Update Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit 9608b5d8f642d9e48de3b0b54f0399cfc0a4babc
Author: Pawan Chitrakar <chautari@gmail.com>
Date:   Wed Sep 17 19:09:24 2014 +0000

    Updated Nepali translation

M	po/ne.po

commit d2fef498773abc2a9df4f9fbd27c65f5935226d3
Author: Saibal Ray <sray@redhat.com>
Date:   Wed Sep 17 05:51:47 2014 +0000

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 65459dba0bbf0893a98b50573a40ceb8ca0839b3
Author: Umarzuki Bin Mochlis Moktar <umarzuki@gmail.com>
Date:   Tue Sep 16 06:49:09 2014 +0000

    Updated Malay translation

M	po/ms.po

commit f92f4f2b73539660eb91e4bacdd2d14a0bcd7bbf (tag: 3.13.3)
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Aug 6 08:39:40 2014 -0400

    Release 3.13.3

M	NEWS
M	configure.ac

commit a2ed9866cfcaeb70afd8424c1feea073809d7e35
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Jul 31 19:08:03 2014 +0200

    doap: add <programming-language>

M	gnome-menus.doap

commit 137aa5387ca9b6c7f3fcfb29a669017735d3f33a
Author: Olav Vitters <olav@vitters.nl>
Date:   Wed Jul 30 16:30:01 2014 +0200

    doap category core

M	gnome-menus.doap

commit fdaeec1fd6b343748e8f2cc763865f75c6b8f942
Author: Theppitak Karoonboonyanan <theppitak@gmail.com>
Date:   Sat Jul 19 15:57:19 2014 +0700

    Updated Thai translation

M	po/th.po

commit faeef29386c6c1be0fceb6ffc3ef83ac5fec5c3a
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Wed Jul 9 23:15:03 2014 +0000

    Updated Greek translation

M	po/el.po

commit 6188c1181d6370028e7d2abe26b4e54379c9d016
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sat Jun 28 07:49:40 2014 +0300

    Updated Bulgarian translation

M	po/bg.po

commit a64d54ce1c7bbf273a3d9a6a8acd03fe6398b1b5
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:   Sun May 4 11:32:50 2014 +0000

    Updated Swedish translation

M	po/sv.po

commit 6d401aedf5bbfae66e5fdd86eaa2cb261fe304df
Author: Khoem Sokhem <sokhem@open.org.kh>
Date:   Wed Apr 2 09:47:45 2014 +0000

    Updated Khmer translation

M	po/km.po

commit 9b77e5b679de482bde3d8050264e3a65354f9d31
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:   Mon Feb 3 12:56:53 2014 +0530

    updated kn.po

M	po/kn.po

commit 9bfa6761898fa820071779f6cb63ec6da9c1a5b9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Jan 23 13:01:12 2014 +0100

    Updated FSF's address

M	libmenu/canonicalize.c
M	libmenu/canonicalize.h
M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/entry-directories.c
M	libmenu/entry-directories.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	libmenu/menu-layout.c
M	libmenu/menu-layout.h
M	libmenu/menu-monitor.c
M	libmenu/menu-monitor.h
M	libmenu/menu-util.c
M	libmenu/menu-util.h
M	util/test-menu-spec.c

commit bed70ff7670839646de825d2e4622c7891e770cf
Author: GunChleoc <fios@foramnagaidhlig.net>
Date:   Wed Jan 22 21:04:54 2014 +0100

    Added Scottish Gaelic translation

M	po/LINGUAS
A	po/gd.po

commit 94ba6e23c0fa70860f96151c0bdf80391ef350fc
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Mon Dec 23 09:07:56 2013 +0200

    Updated Greek translation

M	po/el.po

commit fab6618f7aaaf1adaf9f0ddfcfff6bd5cb234f03
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Dec 14 15:31:54 2013 +0100

    entry-directories: protect event handling for directories
    
    If a new desktop file is created or deleted in a monitored directory,
    the desktop cache is cleared completely, and the CachedDir structure
    is freed, which causes a segfault. Protect it as long as the new
    event is queued and later handled.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720460

M	libmenu/entry-directories.c

commit 27b7c7100e007764acf56d91dc76474099f3f1b3
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Sat Dec 14 15:16:09 2013 +0100

    entry-directories: don't modify a list while iterating it
    
    cached_dir_unref() tries to remove the directory from the parent's
    list of subdirectories, but it is also called when the parent is
    being freed and iterating with foreach() on its directory list.
    This is unsafe, so don't do it.
    Also, fix the logic for remove_subdir() to unref() only when it's
    right to do so (ie, always, when the function is called, because
    everything keeps strong references).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=720460

M	libmenu/entry-directories.c

commit 3affc49d26dffe1d6af1d2db363a7fa47aaebc5a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Nov 19 20:49:14 2013 -0500

    entry-directories: Only log about invalidations if it was handled

M	libmenu/entry-directories.c

commit 06b110e16f6c404c17d3282e2a1976c3aaf520af
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Nov 19 20:46:21 2013 -0500

    entry-directories: Only recurse if we have a dir
    
    This prevents subdir entries from being created for files like
    mimeinfo.cache and similar...
    
    Why wasn't this being done before??

M	libmenu/entry-directories.c

commit 34c6d3d50ccb53db479667e624bd3c046994b0c8
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Nov 19 12:23:39 2013 -0500

    entry-directories: Fix unref

M	libmenu/entry-directories.c

commit 353f866cc3b4938c8f771c972ce32f12a4a8b273
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 18 18:20:02 2013 -0500

    test-menu-spec: Remove g_type_init()

M	util/test-menu-spec.c

commit fabf5ba19d1cead5c91c3669e48f090e7a60d16f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 18 18:10:57 2013 -0500

    Memory leak fixes
    
    This time, with less crashes.

M	libmenu/entry-directories.c
M	libmenu/gmenu-tree.c

commit e951cfaad73000b533304b52a5dbbce23c11efd9
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Nov 18 18:11:17 2013 -0500

    Revert "Memory leak fixes"
    
    This reverts commit 7d90221e27fcc72de497f45db4f3ef3c2d623fd6.

M	libmenu/desktop-entries.c
M	libmenu/entry-directories.c
M	libmenu/gmenu-tree.c

commit 7f3fde1e9b28da0d4621ad010a40caef9e80ac97
Author: Anish A <aneesh.nl@gmail.com>
Date:   Sun Nov 3 15:32:25 2013 +0530

    Updated Malayalam Translation

M	po/ml.po

commit da89d70cb08658dc63d7b3dc7143c0a0543850b8
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Oct 23 16:36:19 2013 +0200

    Fixed French translation
    
    Thanks Friedel Wolff for pointing us to the mistake.

M	po/fr.po

commit 1ab55992956e205707ee9dfd089c3ac0233cd609 (tag: 3.10.1, origin/gnome-3-10)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 15 12:15:24 2013 -0400

    3.10.1

M	NEWS
M	configure.ac

commit 5275652bb0b554ca807041b569b093f518386b01
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Oct 15 09:06:05 2013 -0400

    Don't put gnome-control-center in Utilities
    
    It should be a top-level item in the app picker, according to
    https://bugzilla.gnome.org/show_bug.cgi?id=707037

M	layout/gnome-applications.menu

commit 52bc5171dcea0ac660d2534f7b2219feb6f719dd
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Fri Sep 20 17:24:16 2013 +0200

    Exclude gnome-terminal from System Tools
    
    It was moved from Accessories to System Tools because of gnome-software,
    but it is really in Utilities already.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=708467

M	layout/gnome-applications.menu

commit 1c1898725b6da2d076c2cf3dfcba51807ecd1565 (tag: 3.10.0)
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Sep 24 16:10:05 2013 -0400

    Release 3.10.0

M	NEWS
M	configure.ac

commit b5d0ef198796e331f29382747d44cdda32f06347
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Tue Sep 24 17:40:34 2013 +0200

    Updated translation for Afrikaans (af)

M	po/af.po

commit 68237b92c50ed08c4556353dc262b279a22b2a55
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Tue Sep 17 09:37:08 2013 +0200

    Updated Romanian Translation

M	po/ro.po

commit 6e7790b5451bbb8a44b736ed402964d1bb432247
Author: Giovanni Campagna <gcampagn@redhat.com>
Date:   Mon Aug 26 15:59:18 2013 +0200

    layout: don't use OnlyUnallocated for sections different than Other
    
    We used to have OnlyUnallocated on all non-folder sections, as
    a quick way to enforce the whitelist, but that broke the Other
    section.
    Instead, we need a whitelist in the two folders, and a blacklist
    in each category the application would normally be in (accessories
    or system tools usually).
    Ideally, apps in the Utilities category would expose the special
    X-GNOME-Utilities desktop category, which we now recognize, but
    the whitelist is kept to avoid patching all of them.
    For the sundry category, ideally it should not be there at all.
    
    In the process, a number of .desktop files were removed, as they're
    not provided by any packages (checked jhbuild and Fedora 19). They
    are:
    * caribou
    * fedora-im-chooser
    * fedora-abrt
    * gnome-orca
    * gnome-user-share-properties
    * ibus
    * ibus-daemon
    
    Distributions that are changing .desktop file names should take
    care of patching gnome-menus appropriately.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=706763

M	layout/gnome-applications.menu

commit c3df17717f53a352ef3034198597667cdb1311e0
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Mon Aug 26 03:02:39 2013 -0600

    Updated Irish translation

M	po/ga.po

commit 214c86572fee8659953f70e5faf24044865e5c5b
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Sun Aug 11 23:45:19 2013 +0200

    Update Esperanto translation

M	po/eo.po

commit 70d69deb10ccef63e08fce7ddeded0031c703e18
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Tue Jun 4 21:17:02 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit f65b8441225393b94cb7b07da7c9cd98ba11c44b
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jun 1 15:27:52 2013 +0300

    Updated Hebrew translation.

M	po/he.po

commit fa97ec61ea4c0f781d837110b16889e30c6e105e
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Apr 30 12:36:00 2013 -0400

    Revert "gmenu-tree: Respect Exclude for allocations"
    
    This reverts commit f0d35aba1e1aa8a30d6a3ccd0fdfe8385f346d19.
    
    This is against the spec.

M	libmenu/gmenu-tree.c

commit 9d14f43025239ad96e30b2271d4075c97f1fd144
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Apr 30 02:39:45 2013 -0400

    Revert "gmenu-tree: Insert directories in the correct order"
    
    This reverts commit 119fc0ccac8f3519fec745cb7a3a093649c9f209.
    
    Side-effects of the ordering can be dangerous, as override files
    can unintentionally update the ordering of the subdirs. It's
    best to leave this in an unordered state for now.

M	libmenu/gmenu-tree.c

commit eb12c4675adfd969163d8da73b243a9a30b349c6
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Apr 30 02:39:02 2013 -0400

    Revert "gmenu-tree: Properly implement <OnlyUnallocated />"
    
    This reverts commit c5a85ac55d656870fc339fc448efc27e91b507dc.
    
    This breaks as soon as the user starts installing override files,
    since that messes with the order of directores.
    
    Not sure what the proper way to implement this would be, but this
    isn't it.

M	libmenu/gmenu-tree.c

commit c5a85ac55d656870fc339fc448efc27e91b507dc
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Apr 30 01:43:51 2013 -0400

    gmenu-tree: Properly implement <OnlyUnallocated />
    
    The implementation here before was bad -- if two directories explicitly
    included some menu entry and had <OnlyUnallocated />, they'd both get the
    menu file, which is obviously wrong.
    
    Fix this so that if two directories have <OnlyUnallocated />, the first
    one in the menu file "wins", which as far as I can tell is the correct
    semantics.

M	libmenu/gmenu-tree.c

commit 119fc0ccac8f3519fec745cb7a3a093649c9f209
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Apr 30 01:41:21 2013 -0400

    gmenu-tree: Insert directories in the correct order
    
    In order to implement correct <OnlyUnallocated /> semantics,
    we need a proper order for the menus in layouts, as the first
    directory in the menu file "wins".

M	libmenu/gmenu-tree.c

commit f0d35aba1e1aa8a30d6a3ccd0fdfe8385f346d19
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Apr 30 01:02:41 2013 -0400

    gmenu-tree: Respect Exclude for allocations
    
    If a menu explicitly excludes a desktop file, it shouldn't count
    as being allocated in that menu. This effectively makes the set
    equal to entries, so just use that instead of duplicating the work.

M	libmenu/gmenu-tree.c

commit c66917d918889f130fbd860f4b6b46666347879d
Author: Nik Kalach <nikka@fedoraproject.org>
Date:   Wed Apr 24 15:54:53 2013 +0200

    [l10n] Add Interlingua translation

M	po/LINGUAS
A	po/ia.po

commit e30a7f142f9395fad8e73118518090da4a9349e7
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Fri Apr 19 10:34:52 2013 +0500

    Tajik Translation Updated

M	po/tg.po

commit 3d28a4e0f049fd70561f1f61f0c5cdbcf26a0576
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:   Sat Apr 13 17:43:07 2013 +1000

    Updated Vietnamese translation

M	po/vi.po

commit 02aa300c4bcdc538b0a9e83a6faa1a9fb07d93f8
Author: Wylmer Wang <wantinghard@gmail.com>
Date:   Mon Apr 8 17:32:40 2013 +0800

    Update Simplified Chinese translation

M	po/zh_CN.po

commit 33e4584069a998797208476f49616f8d9c05bb41
Author: Wojciech Szczęsny <wszczesny@aviary.pl>
Date:   Fri Apr 5 00:35:15 2013 +0200

    Updated Polish translation

M	po/pl.po

commit 9fcf252f2b60e24a096c3f7754536e58da593f56
Author: Ozan Çağlayan <ozancag@gmail.com>
Date:   Tue Apr 2 23:33:00 2013 +0300

    [l10n] Updated Turkish translation

M	po/tr.po

commit 599c7b05c432b1571a7105f1ebf6bbe30c36dbdf
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Thu Mar 28 22:54:34 2013 +0100

    Adapt for gnome-calculator -> gcalctool desktop file rename
    
    gnome-calculator.desktop was renamed back to gcalctool.desktop, at the
    very last minute before the 3.8.0 release.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=696816

M	layout/gnome-applications.menu

commit e08d7d3c56806d4fe9da2b04d5aa8700bbb78aca
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 25 22:41:16 2013 -0400

    Post release version bump

M	configure.ac

commit 246a46e6f240915c7ba58c455f8d45ea59cebb2e (tag: 3.8.0)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 25 22:31:16 2013 -0400

    3.8.0

M	NEWS
M	configure.ac

commit 0a37bcb06b0094a677178bd9777758cc16441274
Author: Ani Peter <apeter@redhat.com>
Date:   Mon Mar 25 19:19:17 2013 +0530

    Completed for Malayalam

M	po/ml.po

commit e28da785eccf196ef0b987b1f4dbe74a5102aff5
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:   Mon Mar 25 15:49:39 2013 +0530

    Updated Telugu Translations

M	po/te.po

commit 4343c5db75e0b306b835212a98b3edee8ea66db5
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Sun Mar 24 13:26:35 2013 -0500

    Minor update for Crimean Tatar/Turkish translation

M	po/crh.po

commit 292ecdb7084cd52c5c8016c2e4b25a78f1debdef
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Sun Mar 24 13:24:38 2013 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit 47378bcc11d754c3490c7ce06b6a258b8c8afa8c
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:   Mon Mar 25 02:30:49 2013 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit 5e5b387cfd590cd028df6dc323a547e66c76c23b
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:   Sat Mar 23 23:39:30 2013 +0100

    Updated Dutch translation

M	po/nl.po

commit 5a6cb52314c39f577ff6faaa6e94bb9620d96f00
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Mar 23 12:42:16 2013 +0200

    Uploaded Ukranian

M	po/uk.po

commit 370d50f85550cd5e2398198f7148e52c69e2d38f
Author: Shantha kumar <shkumar@redhat.com>
Date:   Fri Mar 22 15:45:10 2013 +0530

    Tamil Translations Updated

M	po/ta.po

commit 8770020280a690de1f047aa55d360968d187f94b
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Mar 22 12:40:18 2013 +0530

    hindi translation

M	po/hi.po

commit c03b16747e734de180c3dfd678f9657f1f5f163d
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Mar 21 18:46:00 2013 +0530

    Updated Marathi Translations

M	po/mr.po

commit 5c50a43768e2eff9f68f94b3a1207b0c1d8cd905
Author: ManojKumar Giri <mgiri@redhat.com>
Date:   Wed Mar 20 18:04:23 2013 +0530

    Updated Odia Translation.

M	po/or.po

commit fb40f7702b8d443e5c6a4983da133b1eafad300c
Author: Danial Behzadi <dani.behzi@gmail.com>
Date:   Wed Mar 20 09:26:27 2013 +0330

    l10n: Updated Persian translation

M	po/fa.po

commit 107172dc7b4c8b7936113d74f3c53fe53b24bdeb
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:   Tue Mar 19 20:40:30 2013 +0100

    [l10n] Added Tadjik translation

M	po/LINGUAS
A	po/tg.po

commit c573fa0e08616a908e6f1c335641ec6c1b9105f4
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Mar 18 16:02:23 2013 +0530

    Updated kn translations

M	po/kn.po

commit e26a4cd263ffc78db3104a9aca6e85034d48a67b
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Mar 17 22:46:15 2013 +0100

    Updated Czech translation

M	po/cs.po

commit 3fa134531fa6a7f1ed2ac4b572ea455a55eb1dd4
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun Mar 17 19:51:46 2013 +0100

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 94a7ab3216a5d64c38272f616a20715ea6028b5f
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Mar 17 14:44:39 2013 +0100

    Updated Danish translation

M	po/da.po

commit f4adf5966ff0a6ebc86cdad7b22126dd88859804
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Mar 17 16:24:34 2013 +0300

    Updated Belarusian translation.

M	po/be.po

commit b717f6e4f5d9a792f441f626bb769ec150e4bdd9
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 16 22:26:34 2013 +0900

    Updated Korean translation

M	po/ko.po

commit 8da5f3028860bfa6f5d8b38f6071285b501bb800
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:   Thu Mar 14 22:14:33 2013 +0100

    Updated Hungarian translation

M	po/hu.po

commit ca3a6029128122ee4f4b4b991686529174f25d02
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Tue Mar 12 13:05:37 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit 758c22ec25528869dc96a3a77b76f378e4339d1e
Author: Gil Forcada <gforcada@gnome.org>
Date:   Mon Mar 11 23:01:17 2013 +0100

    [l10n] Updated Catalan translation

M	po/ca.po

commit ed0dbd6eba3bcff96ce03dc7ba03c1d632e9e14d
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Mar 11 15:31:45 2013 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 2be1f73f29a753a243f8dfcdf540916c8c9f20ad
Author: Andika Triwidada <andika@gmail.com>
Date:   Mon Mar 11 12:39:01 2013 +0700

    Updated Indonesian translation

M	po/id.po

commit 8d0d9190809b44cdd94ae293d47df2abc4b1fe8d
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sun Mar 10 00:06:18 2013 +0200

    Update Arabic translation

M	po/ar.po

commit a6c9fb7eaa9c3df19dbe6d555795f563fcdfa7c8
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat Mar 9 21:28:34 2013 +0600

    Updated Kazakh translation.

M	po/kk.po

commit eebcb71254cc92334da975505e07446d1a00bf09
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:   Thu Mar 7 20:57:21 2013 +0200

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 47aec8856134fb8960679260a92c499578228b26
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:   Tue Mar 5 10:16:37 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e63b9b880787e06c945a525048a7a7d92f8e19c8
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Tue Mar 5 15:34:11 2013 +0530

    Assamese translation updated for gnome 3.8

M	po/as.po

commit 192c6566cc281c52a2ca438da965da32c5e752f2
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Mon Mar 4 23:08:53 2013 +0100

    Updated Basque language

M	po/eu.po

commit 0f929355820faafef8712b17be906e834c3c97cc
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:   Sun Mar 3 01:49:02 2013 -0500

    sundry: Add Power Statistics & Personal File Sharing
    
    These seem to sort of duplicate what we have in Settings.
    Perhaps the extra graphs and info from Power Statistics should find
    a new home in System Monitor?
    
    https://bugzilla.gnome.org/show_bug.cgi?id=695047

M	layout/gnome-applications.menu

commit af5d71c573cda0e3527ea935516454dc3cd35e28
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:   Sun Mar 3 15:33:51 2013 -0500

    Revert "Remove the special casing for Fedora desktop vendor renames"
    
    This reverts commit 5cc05790a308bbf7a5905254e377d3ca47df603b.
    
    We should really wait a bit before pushing this so the changes have
    time to propagate.

M	layout/gnome-applications.menu

commit a5382598d7f982e49b6267869db69ac7cf562b26
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:   Sun Mar 3 15:19:45 2013 -0500

    layout: put im-chooser into Sundry

M	layout/gnome-applications.menu

commit 28ab24749488986519a21a51ca8060e5d9002256
Author: Benjamin Steinwender <b@stbe.at>
Date:   Sun Mar 3 19:52:08 2013 +0100

    [l10n] Updated German translation

M	po/de.po

commit 6f27ae37ae12ee34b15479bb2a76d8a83ad5be81
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sun Mar 3 01:19:56 2013 +0100

    l10n: Updated Italian translation

M	po/it.po

commit 5cc05790a308bbf7a5905254e377d3ca47df603b
Author: Kalev Lember <kalevlember@gmail.com>
Date:   Fri Feb 22 13:15:18 2013 +0100

    Remove the special casing for Fedora desktop vendor renames
    
    The desktop file vendor prefixes are gone from eog.desktop,
    file-roller.desktop, gucharmap.desktop, and yelp.desktop in Fedora 19+,
    so we no longer need to special case them in gnome-applications.menu.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694444

M	layout/gnome-applications.menu

commit e85f2419023afef93e25d2058560fc833c22d310
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Mar 1 09:26:42 2013 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit aab9d5ed860175bb86063a58a1fb82b3083d3431
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Wed Feb 27 22:51:08 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 7ba60014ce6bcc74996b519540ad58940ecd7205
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Wed Feb 27 13:58:35 2013 +0530

    Updated gujarati file

M	po/gu.po

commit 4a4d04d822e226eaf2c13a24a79ec639b620eb8a
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Mon Feb 25 20:57:24 2013 +0100

    Updated slovak translation

M	po/sk.po

commit 3b28046273ca53e7a4f2d78f26fad10ea7c06424
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Feb 25 19:18:08 2013 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 7c94f1773354a31f9db1f140bd164f9bb5a2f872
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Feb 25 11:13:14 2013 -0500

    configure: Remove AM_PATH_PYTHON
    
    This was a leftover from removing the simple-editor.

M	configure.ac

commit fe172ebde5ff50e55784611bc6048ecf56580699
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sun Feb 24 21:59:22 2013 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 4338482231743c5e8bab7dd565e269e3a0cbe2cd
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:   Sun Feb 24 10:23:11 2013 +0200

    Updated Greek translation

M	po/el.po

commit 3e5fe2ec16b5683ffdf225f1b2721ac4e4f902c6
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Feb 22 22:28:14 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit 57b724f42917bcde9cf6b52d885bea4662b18f89
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Feb 22 14:55:42 2013 +0000

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit 0cfe9c374d664492a77dbda436da5fe3bed7da4c
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Fri Feb 22 22:58:01 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit e1849964ad1a91d2a017f0bcc743bb936c52fb0d
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Feb 21 19:41:32 2013 +0200

    Updated Hebrew translation.

M	po/he.po

commit ecc8ace4d8d7603f3f1c182de3ae107c20701302
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Thu Feb 21 16:55:32 2013 +0100

    Updated Spanish translation

M	po/es.po

commit eb5f8823904a79787d0e6057f36fc9d08d44c332
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Feb 21 15:54:56 2013 +0400

    Updated Russian translation

M	po/ru.po

commit 207fa196dd04124ea3919cc7e66b44be75f982f9
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Feb 20 18:48:01 2013 -0500

    sundry: add more Java stuff
    
    I get these indecipherable desktop files when I install Eclipse.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694324

M	layout/gnome-applications.menu

commit 31b32c027426007639369832e4d6bb48f4f6c0fc
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:   Wed Feb 20 23:11:23 2013 +0100

    Updated Aragonese translation

M	po/an.po

commit 48307035146fb3b1e6fea66f5b73a4bfe001a064
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Wed Feb 20 21:15:02 2013 +0100

    Update French translation

M	po/fr.po

commit e775ffd58b91ec437c4a17d3fea2f5bc45b2423a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Wed Feb 20 10:38:36 2013 +0100

    Updated Galician translations

M	po/gl.po

commit 96ae298b28c458bfd3f735a6ed8dac5d79b3d0b1
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Wed Feb 20 11:33:40 2013 +0200

    Updated Latvian translation

M	po/lv.po

commit a2f3bacaba079df016cf53b8331fb4e1c77f2eab
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 18:55:17 2013 -0500

    Post-release version bump

M	configure.ac

commit 005605f79c8fb7f13542c497ccc1f1fe52907902 (tag: 3.7.90)
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 18:53:34 2013 -0500

    Release 3.7.90

M	NEWS
M	configure.ac

commit 64e189fedf5a04956cb96c54560f54736a012f4b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 19 23:32:28 2013 +0100

    Updated Polish translation

M	po/pl.po

commit f3c636fbcf38846698c657d6aeb920cdabb0ea17
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 19 23:31:14 2013 +0100

    Updated POTFILES.in

M	po/POTFILES.in

commit ac21fd7730b0c7f84b06468f862592d9666dfac6
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Tue Feb 19 12:47:18 2013 +0100

    Add .directory file for Sundry
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694131

M	desktop-directories/Makefile.am
A	desktop-directories/X-GNOME-Sundry.directory.in
M	layout/gnome-applications.menu

commit 95858c40461f6a2c53e2d4427d0851a08e0181c7
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Feb 19 21:56:15 2013 +0100

    Update French translation

M	po/fr.po

commit acb41bfe71a4e4717707eb21aef6c2b19b331e76
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Feb 19 15:14:48 2013 -0500

    layout: Add some more items to Sundry

M	layout/gnome-applications.menu

commit 1f4c3b6891637dfd2b8f42bae139166cd0e1fd8e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 19 20:56:29 2013 +0100

    Updated Polish translation

M	po/pl.po

commit b1f831d2894df2501086f7c4bd523fe0e67f3676
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Feb 19 20:44:51 2013 +0100

    Updated POTFILES.in

M	po/POTFILES.in

commit 36d5d699d7d4193a1b3d84777566466326f78b19
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sun Feb 17 03:40:22 2013 +0100

    layout: Add Sundry category
    
    Creates a Sundry directory to contain things that either aren't really apps
    or are scheduled for removal but that are hard to remove at the moment for
    various reasons. We just need a temporary way to segregate these items so they
    don't pollute the app view.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694131

M	layout/gnome-applications.menu

commit 8cb236fbf31dee1a533582f1f8ef72b7b96a33e0
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sun Feb 17 02:51:00 2013 +0100

    layout: Account for gcalctool => gnome-calculator name change
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694131

M	layout/gnome-applications.menu

commit a06c0348c1a129ffd996e00615d5d6d25b17dcdc
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sun Feb 17 02:25:42 2013 +0100

    layout: Deal with some vendor renames
    
    The menu spec doesn't offer very specific guidance for how
    to use vendor prefixes. And it isn't even clear about what
    a vendor is. Or how it helps avoid collisions with a naming scheme
    that isn't fully qualified in the first place.
    
    Longer term we should move to something that uses fully qualified
    names like the dbus spec. In the meantime we have to deal with
    "aliases" for app names.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694131

M	layout/gnome-applications.menu

commit e644a541b5bab530fe6649c3b8f212faca46eb66
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sun Feb 17 02:18:51 2013 +0100

    layout: Add a new X-GNOME-Utilities directory
    
    Rather than using a developer-defined category, this directory
    contains an explicit whitelist of known-good GNOME tools. This
    more or less follows the definition set in the GNOME jhbuild
    moduleset.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=694131

M	desktop-directories/Makefile.am
A	desktop-directories/X-GNOME-Utilities.directory.in
M	layout/gnome-applications.menu

commit a5e2e6e4912c2dfcf6559828186063ecd6d09e57
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Feb 18 14:36:03 2013 -0500

    desktop-directories: Remove system settings desktop entries
    
    They're unused by gnome-control-center.

D	desktop-directories/Hardware.directory.in
M	desktop-directories/Makefile.am
D	desktop-directories/Personal.directory.in
D	desktop-directories/System.directory.in

commit b53758987b4d04bf9c869bfd02c0ec1d252638bf
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 15 19:23:22 2013 -0500

    layout: Install as gnome-applications.menu
    
    gnome-session now sets XDG_MENU_PREFIX by default, so we should
    install it where applications that use gnome-menus look.

M	layout/Makefile.am
R100	layout/applications.menu	layout/gnome-applications.menu

commit cfaa9d460ef9fb502585d0fcdfcf3bb4e25b19aa
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 15 17:33:00 2013 -0500

    layout: Put control center apps in the applications menu
    
    This allows gnome-shell to do app tracking for them. It should
    not display them, as the desktop directory itself is marked as
    NoDisplay=true.

M	desktop-directories/Makefile.am
A	desktop-directories/X-GNOME-SystemSettings.directory.in
M	layout/applications.menu

commit a1c6559dcb1f9c9d12d9ebb6bd226a078a02d19a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 15 20:44:48 2013 -0500

    gmenu-tree: Fix error reporting
    
    No idea why this was here..

M	libmenu/gmenu-tree.c

commit 1e12d0f9f309c977702dad1363e56cd9989b7375
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 15 20:29:18 2013 -0500

    configure: Have better debugging on by default

M	configure.ac

commit 589ba554d79366dacf3592b3670459003e45ace4
Author: William Jon McCann <jmccann@redhat.com>
Date:   Fri Sep 28 09:53:22 2012 -0400

    Remove the simple editor
    
    gnome-menus is a dependency component and we don't really want it
    to be installing applications as a side effect. There are other
    better and maintained options for menu editing now anyway.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=684900

M	Makefile.am
M	configure.ac
M	po/POTFILES.in
D	simple-editor/GMenuSimpleEditor/Makefile.am
D	simple-editor/GMenuSimpleEditor/__init__.py
D	simple-editor/GMenuSimpleEditor/config.py.in
D	simple-editor/GMenuSimpleEditor/main.py
D	simple-editor/GMenuSimpleEditor/maindialog.py
D	simple-editor/GMenuSimpleEditor/menufilewriter.py
D	simple-editor/GMenuSimpleEditor/menutreemodel.py
D	simple-editor/Makefile.am
D	simple-editor/gmenu-simple-editor.desktop.in
D	simple-editor/gmenu-simple-editor.in
D	simple-editor/gmenu-simple-editor.ui

commit 7d90221e27fcc72de497f45db4f3ef3c2d623fd6
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Feb 1 21:46:13 2013 -0500

    Memory leak fixes
    
    Based on a patch by William Jon McCann <william.jon.mccann@gmail.com>
    
    https://bugzilla.gnome.org/show_bug.cgi?id=349695

M	libmenu/desktop-entries.c
M	libmenu/entry-directories.c
M	libmenu/gmenu-tree.c

commit db75a478f53f2619b1d96cd09d3a4f9abe682fc9
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Jan 30 21:26:01 2013 +0100

    Updated Basque language

M	po/eu.po

commit 2b4eb5f9db8411e62da6ec8d80ada1895772d05b
Author: Nuno Araujo <nuno.araujo@russo79.com>
Date:   Tue Jan 15 22:36:11 2013 +0100

    Fix the build with automake 1.13
    
    In Automake 1.13, the long-deprecated macro AM_CONFIG_HEADER (deprecated
    since 2002) has been removed in favour of AC_CONFIG_HEADERS.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=692108

M	configure.ac

commit 86241e29cd1101fe638a5665b8c52e8d3c84444d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:   Sat Jan 19 02:34:16 2013 +0100

    Updated Friulian translation

M	po/fur.po

commit 8d161da704766d9f4a42f1213ca4dc6b8d0e7873
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 15 07:42:02 2013 -0500

    Bump version

M	configure.ac

commit d4a11d28df389f00550848a078c40a2438908df5 (tag: 3.6.2)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jan 15 07:35:47 2013 -0500

    3.6.2

M	NEWS

commit 234940bf89aa82012c3622674cec151dcf4ff128
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Sat Jan 12 14:00:36 2013 +0900

    Updated Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 0594875c19b1bf981f1bbde416a1ca440c7caeb5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jan 7 16:36:24 2013 +0100

    misc: Remove myself from maintainers
    
    I'm not really doing anything on gnome-menus anymore, and Jasper is
    happy being the sole maintainer.

M	MAINTAINERS
M	gnome-menus.doap

commit 9c1c50146b8d1a92ac556ba0a0ca174426bc6ffa
Author: Gheyret Kenji <gheyret@gmail.com>
Date:   Fri Jan 4 21:38:40 2013 +0900

    Uyghur translation
    
    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit fd4a321b9eaf6ee11b80d0c377b8ff8873e6c777
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Dec 24 13:38:26 2012 +0200

    Update Arabic translation

M	po/ar.po

commit 9d45c5369f4a486d2ba5c3a8c3262c84172b095a
Author: Alexandre Rostovtsev <tetromino@gentoo.org>
Date:   Sat Nov 24 15:24:50 2012 -0500

    libmenu: always call menu_layout_load() with non_prefixed_name parameter
    
    We must ensure that when loading "${XDG_MENU_PREFIX}applications.menu"
    or "applications.menu", the root layout node's name is set to "applications",
    not "${XDG_MENU_PREFIX}applications", because the menu spec states that the
    default merge directory for "${XDG_MENU_PREFIX}applications.menu" is
    "applications-merged", not "${XDG_MENU_PREFIX}applications-merged".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=688972

M	libmenu/gmenu-tree.c

commit dfae41dd0f0df6a72c1ef47dfe1e9efb1bfee746
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Nov 29 14:24:44 2012 +0530

    Updated kn translation

M	po/kn.po

commit aad880ce305edc2fe61fb3070ec8df1d9d29f28a
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Nov 29 14:21:37 2012 +0530

    Updated kn translation

M	po/kn.po

commit df21eb893653e0b3c0e0f43cd0bc0de00c28d54a
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Thu Nov 29 14:13:13 2012 +0530

    Updated kn translation

M	po/kn.po

commit 09ea3c32275547f8de8799bb47ef3f9441abf12f
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Tue Nov 27 16:00:31 2012 +0530

    Updated kn translation

M	po/kn.po

commit 6a113f67b993702417d9db189d36e63fd9e4806d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 13 22:56:06 2012 -0500

    Post-release version bump

M	configure.ac

commit 0ebd911ccbd177b856d34f43a6ef680275ab0871 (tag: 3.6.1)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Nov 13 22:54:01 2012 -0500

    3.6.1

M	NEWS

commit fff8296aa0be3e257b2147e590da38cf470f4054
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Sun Oct 14 13:42:00 2012 -0400

    updating Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit d9dce393a242ddc4799fdc776f0af305bf935ff5
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Sun Oct 14 13:04:49 2012 -0400

    updating Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit 7acb8e2e5bff34c049c150d53190843996aa3f3d
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Tue Oct 9 10:44:23 2012 +0100

    Updated Slovak translation

M	po/sk.po

commit 78b37e6142300931604566e2d8eb4123c70cfeb4
Author: Daniel Martinez Cucalon <dmartinez@src.gnome.org>
Date:   Sat Sep 29 00:54:41 2012 +0200

    Updated Aragonese translation

M	po/an.po

commit 206da7e2fb133923f5898b42fbdc26db7f46d437
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Sep 26 09:15:57 2012 +0300

    Added uk translation

M	po/uk.po

commit 20f8d7169da967c39a92fb9bd97c74f5e1bb798d
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Sep 26 01:31:05 2012 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit e8cda485fec0fb2480f8e232b790387c1f41c77f
Author: Gil Forcada <gforcada@gnome.org>
Date:   Wed Sep 26 01:30:42 2012 +0200

    [l10n] Updated Catalan translation

M	po/ca.po

commit e2ad6f559992e253ee7b10db7358c709d3a54328
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 25 08:01:46 2012 -0400

    post-release version bump

M	configure.ac

commit ff379b515cdb3728dfd2f49c233797603b9658b8 (tag: 3.6.0)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Sep 25 07:54:10 2012 -0400

    3.6.0

M	NEWS

commit 1f596f13f5b793515dcb07cc7dd0834581f9f22e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:   Mon Sep 24 13:22:34 2012 +0300

    Updated Latvian translation

M	po/lv.po

commit 3839fb3f2784f3575c454a7128fb7ff4fed12233
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:   Mon Sep 24 11:15:01 2012 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit b2199a2b2972f37d85deab11818a94ce636a2d0a
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:   Mon Sep 24 09:21:40 2012 +0600

    Updated Kyrgyz translation

M	po/ky.po

commit d1ea18a03b123039f63e54360b5aac02d58e07fd
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Sep 21 19:23:07 2012 +0530

    Updated Bengali India Translation

M	po/bn_IN.po

commit 4883507b4742178707f227922f421e130ae0e612
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:   Fri Sep 21 14:21:36 2012 +0530

    hindi update

M	po/hi.po

commit 319bc9001ec45d837da239a4dbd1cf30546ba4ce
Author: Praveen Illa <mail2ipn@gmail.com>
Date:   Wed Sep 19 22:08:18 2012 +0530

    Updated Telugu Translation

M	po/te.po

commit dd8991b15488f384122120ea31e8c6043e0144ea
Author: Ani Peter <apeter@redhat.com>
Date:   Tue Sep 18 23:04:10 2012 +0530

    Updated Malayalam file

M	po/ml.po

commit e24c669b5331a6deab6730c0bb7f582ad98c138c
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:   Tue Sep 18 12:57:52 2012 +0900

    [l10n] Update Japanese translation

M	po/ja.po

commit d529600f891fdd32d111e281a65677c9468d8f5c
Author: Djavan Fagundes <djavanf@gnome.org>
Date:   Mon Sep 17 21:28:13 2012 -0300

    Revert "Updated Brazilian Portuguese translation"
    
    This reverts commit 0b8278f3dc7f834b5856a98762cda69b0d713707.

A	po/pt_BR.po

commit 0b8278f3dc7f834b5856a98762cda69b0d713707
Author: Djavan Fagundes <djavanf@gnome.org>
Date:   Mon Sep 17 20:40:04 2012 -0300

    Updated Brazilian Portuguese translation

D	po/pt_BR.po

commit 0619ec60ce602e023beb9d14df34d4958d326a31
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Mon Sep 17 16:51:48 2012 -0400

    Updated translation for Brazilian Portuguese.

M	po/pt_BR.po

commit 4ea3f1de69fec378262bc966f5d3e355f82c2b20
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 17 13:10:55 2012 +0200

    release: post-release bump to 3.6.0

M	configure.ac

commit a4e3e70fb8150461af79a5314cdd3b9a8fe5956a (tag: 3.5.92)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 17 13:10:14 2012 +0200

    release: 3.5.92

M	NEWS
M	configure.ac

commit c21dc9a2fbc2fbf288de0d688afd519e2f25da4b
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 16 13:25:58 2012 +0200

    Updated Danish translation

M	po/da.po

commit fe09bdbae726dbefa92f22d2e851b7ec5b30dfef
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Sep 15 16:55:29 2012 +0900

    Updated Korean translation

M	po/ko.po

commit aceac14e0b728626c966d3ccfab51bb99a396ba6
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Wed Sep 12 08:40:37 2012 +0200

    libmenu: Add proper header reference to GMenu-3.0.gir

M	libmenu/Makefile.am

commit 491c7eccff4e5fedc3f68f2d9d33399d49eed9a8
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Sep 10 00:47:09 2012 +0200

    Czech translation

M	po/cs.po

commit 2c2c4f24c60952ef3e014ce0fd24c9db83c7f3fb
Author: Milo Casagrande <milo@ubuntu.com>
Date:   Thu Sep 6 22:51:48 2012 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit f33d2b42226ae7c0d2fe871b55563b544dfcd252
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:   Thu Sep 6 21:02:51 2012 +0430

    l10n: Updated Persian translation

M	po/fa.po

commit db8230cb5375eb951fc3385fa56e0fbd20222030
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Thu Sep 6 20:23:58 2012 +0700

    Updated Thai translation.

M	po/th.po

commit b2cd372cf3ef3d5e10ca7e724366c72322a44849
Author: Timo Jyrinki <timo@debian.org>
Date:   Thu Sep 6 08:59:09 2012 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 103fb06fe86990bc7ec95e7cd8f61b71b69f9d9a
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Sep 5 19:50:45 2012 +0100

    Updated British English translation

M	po/en_GB.po

commit a8f755a4b967738261540d2efd4c3ab45a9b283b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Tue Sep 4 20:52:48 2012 +0200

    Update French translation

M	po/fr.po

commit b4c27cda6d161dbffb3878bfb1fd9164bb292de7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Tue Sep 4 13:49:16 2012 +0200

    Updated Hungarian translation

M	po/hu.po

commit c66d0da3965cb3157d08b33278220c2d8d52c5f6
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:   Tue Sep 4 06:48:19 2012 +0300

    [l10n]Updated Turkish translation

M	po/tr.po

commit 691760dbea68b46aa6b895f0d6c739302c372806
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Sep 3 19:09:33 2012 +0200

    Updated Polish translation

M	po/pl.po

commit a797159ac6b20b5e608290731ff0c9ccc1792848
Author: Dr.T.Vasudevan <agnihot3@gmail.com>
Date:   Sun Sep 2 18:02:37 2012 +0530

    updated Tamil translation

M	po/ta.po

commit a44c335288e7c50db6d95bb080329bb1151d40a7
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Sep 2 11:59:21 2012 +0200

    Updated Swedish translation

M	po/sv.po

commit 8a09d2aad657036cb91c6d26fc370fd3a7be3d80
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Sep 1 22:04:28 2012 +0700

    Updated Vietnamese translation

M	po/vi.po

commit c126f269866ed323926841157c72c48df5753a99
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Sep 1 22:01:50 2012 +0700

    po/vi: import from Damned Lies

M	po/vi.po

commit d2b6d0a7e02d36125a455b99f2a43fb2598fc7cc
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sat Sep 1 01:17:02 2012 +0100

    Updated Portuguese translation

M	po/pt.po

commit 6cbb7189d43207cc7abb5709255ddf8a6d5e4562
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Wed Aug 29 22:57:58 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 55149c45571e54ed59599429e5c131fd64789d80
Author: Chrovex Fan <pixelnecro@foxmail.com>
Date:   Tue Aug 28 22:32:44 2012 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit 2bfb0ab9c702b811d26c5adbd276eebdf0e04592
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Tue Aug 28 00:03:50 2012 +0530

    Implemented FUEL entries to Assamese translation

M	po/as.po

commit 387804f05c1c6a8648f3930b45df939bf1b684f2
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Aug 27 19:58:58 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit 3be4bc499b3df622c149f89780ad8ffc8c67319a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Aug 23 03:24:55 2012 +0200

    Updated Polish translation

M	po/pl.po

commit 1682e39a113f5ea19e1fd8d0da5fb27db6a95274
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Tue Aug 21 22:20:32 2012 +0700

    Updated Indonesian translation

M	po/id.po

commit 0ed913bb8276b06e3f305b5e1907d87cc23d906a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Fri Aug 17 23:37:20 2012 +0200

    Updated Galician translations

M	po/gl.po

commit d0e752350b2a9d8f85845614fda54571e143cef5
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:   Thu Aug 16 12:19:50 2012 +0530

    Updated Marathi Translations

M	po/mr.po

commit 37f8b405844aedc87169ee902a8ed150978ffb1a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Aug 6 18:42:20 2012 -0300

    Post-release version bump

M	configure.ac

commit 42ace8382ab15914f55c7dc6dffab418b38e0e50 (tag: 3.5.5)
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Aug 6 18:36:56 2012 -0300

    Release 3.5.5

M	NEWS

commit 685323a7cae56b1ced25c10f26af8eda7c9c893a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon Aug 6 11:30:07 2012 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit b0c0c0afbc6a563f987df95e508c66c881bb5c27
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Jul 30 13:54:26 2012 +0530

    Updated gujarati file

M	po/gu.po

commit 70f681351441c9146e1e4eb1c48154c5db1d2a5b
Author: Przemysław Buczkowski <przemub@yahoo.pl>
Date:   Thu Jul 26 19:41:14 2012 +0200

    Added Silesian translation

M	po/LINGUAS
A	po/szl.po

commit 09053a26df6431e32d706eda69c0b7bf9100994b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Thu Jul 26 09:20:18 2012 +0600

    Updated Kazakh translation

M	po/kk.po

commit 73b36491c3a472c67a15f1684893d080c743c601
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:   Mon Jul 23 22:43:15 2012 +0200

    Updated German translation

M	po/de.po

commit 985728566f914aa8a3a3c571dd203ee4b50827f3
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Tue Jul 17 15:01:09 2012 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 50f09c92d3418043cbead8ccc014235ab3eb9bd3
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jul 16 20:24:57 2012 -0400

    Post-release version bump

M	configure.ac

commit f8e4cb42e10b7c2666f3771da158646a145abd34 (tag: 3.5.4)
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jul 16 20:24:15 2012 -0400

    Release 3.5.4

M	NEWS

commit 1e62d7d67525ea5628296435bd95ef325954786d
Author: chingiz <chingis091@lavabit.com>
Date:   Mon Jul 16 11:36:35 2012 +0400

    Updated Kirghiz translation

M	po/ky.po

commit b3f0c47b46b5456d220b7cb8b384a52e71018fa3
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Wed Jul 4 07:17:08 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 2c31301300f13a4ced24a0b116a010f9e20b0756
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Jun 26 13:19:56 2012 -0400

    Post-release version bump

M	configure.ac

commit 78ac358fcb3135574377cea00781edd19bad6065 (tag: 3.5.3)
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Tue Jun 26 13:18:33 2012 -0400

    Release 3.5.3

M	NEWS

commit 1fba5a23c30af1a8cd07a6bd2f85e3c805129813
Author: Sasi Bhushan Boddepalli <sasi@swecha.net>
Date:   Thu Jun 21 14:27:51 2012 +0530

    Updated Telugu Translation

M	po/te.po

commit 4a00f1eb30bc33afc14e647efb6ec1450ca7ff51
Author: Nilamdyuti Goswami <nilamdyuti@gmail.com>
Date:   Thu Jun 21 14:01:14 2012 +0530

    Assamese translation reviewed

M	po/as.po

commit d1beaf075f02281e28bb730f3e43dd15dfea2ef3
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Jun 20 14:57:58 2012 -0400

    libmenu: Allow grabbing the parent from any GMenuTreeItem
    
    Oh how I wish we had real inheritance.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit ade49e7f07ef6cb0168002f6c12a4be6c1bdbee8
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Mon Jun 18 18:08:26 2012 -0400

    libmenu: Add a way to grab NoDisplay on an item and all of its parents
    
    Some applications may want a way to show or hide a tree entry based on
    its visibility in the actual tree.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=678419

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit fef1440c7b440d0360992c2178ef636b02ef777a
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Fri Jun 1 09:16:01 2012 -0400

    libmenu: Allow grabbing the GMenuTree from any GMenuTreeItem
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677270

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit eec6221af6a8ee04dddb11af9dbac45819a296db
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 20 19:56:20 2012 +0200

    misc: Add Jasper as co-maintainer
    
    Jasper is completely fixing alacarte, so he's the menu guy now :-)

M	MAINTAINERS
M	gnome-menus.doap

commit 7a87b12a86d7f8dfebca2a33791c04d5249de692
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:   Tue Jun 19 19:26:24 2012 +0300

    Updated Greek translation

M	po/el.po

commit 8cd6efdf03a7056ed4c7373e00a2eb7657e5c6cc
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sat Jun 2 13:27:24 2012 -0400

    libmenu: Add the forgotten gmenu_tree_iter_get_separator
    
    https://bugzilla.gnome.org/show_bug.cgi?id=677344

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 2a83843d381cebf95a775a9ae2c176c5ae816fc8
Author: Colin Walters <walters@verbum.org>
Date:   Fri Jun 8 16:34:12 2012 -0400

    gnome-menus: Fix g-ir-scanner warnings

M	libmenu/gmenu-tree.c

commit 4973cf303cb9d5e8b160fb1ac0649ac2f864b8b4
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Fri Jun 8 18:55:01 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit 175f03aeef932bf9bf0527e11624e9a8e126e769
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 5 09:21:45 2012 -0400

    Post-release version bump

M	configure.ac

commit c43bc6bc305b156be066fba6ae385b46e0063409 (tag: 3.5.2)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Jun 5 09:17:34 2012 -0400

    3.5.2

M	NEWS
M	configure.ac

commit 326c6ca76a4a739bb3d669ed4ce2d36d9b89eabe
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed May 30 14:06:31 2012 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit efc14ec052a53b706d8d2132ec62426cd46f54ea
Author: Aleksej Kabanov <ak099@mail.ru>
Date:   Sun May 27 00:56:26 2012 +0400

    Updated Russian translation

M	po/ru.po

commit 4693fdd844b623a69e02ec853f90888aee82a728
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri May 25 15:29:40 2012 +0300

    Updated Hebrew translation.

M	po/he.po

commit ef10032c3c9d20cb46482829f7bbf5e09c311dee
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed May 23 20:02:27 2012 +0200

    Updated Slovenian translation

M	po/sl.po

commit 64606ea5a3c0f3faa5f406a63c53a51a1eb8823a
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun May 20 17:57:35 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 068bfbdbcb328c0f7eb29faecaf41c82e5633bb5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon May 14 16:49:12 2012 +0200

    Updated Spanish translation

M	po/es.po

commit 9452548505add051e3ca099332edad2dc7764181
Author: Giovanni Campagna <gcampagna@src.gnome.org>
Date:   Tue May 1 00:23:39 2012 +0200

    layout: Add a separate category for Web Applications
    
    For technical reasons, it is not possible to guess an appropriate
    category for web applications created with Epiphany, so they
    would all end up in Others. Instead, make up a category and submenu
    just for them.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=675198

M	desktop-directories/Makefile.am
A	desktop-directories/X-GNOME-WebApplications.directory.in
M	layout/applications.menu
M	po/POTFILES.in

commit b93cc6818c7ee7be1339f0f7bf8d3ec24790df59
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 10:19:02 2012 +0100

    util: Add --include-unallocated option to gnome-menu-spec-test
    
    We want easy testing for GMENU_TREE_FLAGS_INCLUDE_UNALLOCATED.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668512

M	util/test-menu-spec.c

commit 159bfe766f024598e967765a418430dfa46d2197
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Feb 2 10:16:40 2012 +0100

    libmenu: Add GMENU_TREE_FLAGS_INCLUDE_UNALLOCATED flag
    
    Add a new GMENU_TREE_FLAGS_INCLUDE_UNALLOCATED flag to add in the root
    directory entries that are not allocated anywhere else. This is useful
    if the user really wants to get absolutely all entries (in addition to
    using INCLUDE_EXCLUDED, which is a bit different, and
    INCLUDE_NODISPLAY).
    
    Add gmenu_tree_entry_get_is_unallocated() API matching this flag.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=668512

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 6b6956b75de4566772c7144a01b39634671b364f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Apr 16 19:15:35 2012 +0200

    Added Kashubian translation

M	po/LINGUAS
A	po/csb.po

commit 9d68b854b35573d5567fe79cc58d011ae23ed23e
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Apr 1 18:11:32 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit da8b0ff0c8733d8f94d7e29f1ba67ff2e9bace98
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 26 10:37:18 2012 +0200

    release: post-release bump to 3.4.1

M	configure.ac

commit e1b3578220871cd5e607a93ab1b251da9e56d4d6 (tag: 3.4.0)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 26 10:36:57 2012 +0200

    release: 3.4.0

M	NEWS
M	configure.ac

commit f553195fee927f128963702fc9443ce6d84fb20b
Author: Khoem Sokhem <khoemsokhem@khmeros.info>
Date:   Sat Mar 10 13:24:57 2012 +0100

    Add initial Khmer translation

M	po/LINGUAS
A	po/km.po

commit f289d086d2f3162bef06eada7276cd473f73fbfe
Author: Bahodir Mansurov <6ahodir@gmail.com>
Date:   Fri Feb 24 21:24:22 2012 -0500

    Updated Uzbek@cyrillic translation

M	po/uz@cyrillic.po

commit 17b1dc3a3c850794bfe3df028ed72483fb21489e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:10:35 2012 +0100

    build: Generate ChangeLog on make dist

M	Makefile.am

commit ac467f5484a8c32ccb1484147003dbea8ee51d99
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 22 15:03:08 2012 +0100

    build: Update git.mk and ignore generated tarballs

M	Makefile.am
M	git.mk

commit 82f575edbd949f682bc9242263e318f7e1d4d57c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 12:27:00 2012 +0100

    release: post-release bump to 3.3.90

M	configure.ac

commit 44030054b1752ea353c010ec0588fbc804ffc662 (tag: 3.3.5)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 6 12:26:54 2012 +0100

    release: 3.3.5

M	NEWS
M	configure.ac

commit 2adf8dc80b99459450e891161b3b7f254317d9b5
Author: Danishka Navin <danishka@gmail.com>
Date:   Wed Feb 1 17:29:09 2012 +0530

    fixed few typos in si.po file

M	po/si.po

commit 17d5a7f7942f9045acdb8d5cbe18c967169d054e
Author: Danishka Navin <danishka@gmail.com>
Date:   Wed Feb 1 16:08:30 2012 +0530

    fixed few typos in si.po file

M	po/si.po

commit 7b895320a73ef066508d0d411c9ce1e725188a96
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jan 25 14:47:48 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit a84c7d360b4cb22a10cac76c95eff4654effd730
Author: Andiswa Mvanyashe <andiswamva@webmail.co.za>
Date:   Tue Jan 17 08:09:02 2012 +0200

    Updated translation for Xhosa (xh)

M	po/xh.po

commit 91a67746970ca4327c03c2f048e48c666a1f3776
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Dec 20 09:45:45 2011 +0100

    build: Create xz tarballs

M	configure.ac

commit 581bdf9920d18024413fa7afcacd83e733a26089
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Fri Nov 11 02:51:39 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 8d46c3a20c4718384b66180990258c0ad6c12f49
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 13:58:21 2011 +0200

    release: post-release bump to 3.3.2

M	configure.ac

commit f258c9c144c569772a1ea7ea81179c98110fc58f (tag: 3.3.1)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Oct 24 13:58:14 2011 +0200

    release: 3.3.1

M	NEWS
M	configure.ac

commit fbabc41cb6f2c6520f9f117137fa296a7f8340f3
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Oct 21 19:57:55 2011 +0200

    libmenu: Ignore invalid desktop entries
    
    Both "Name" and "Exec" are mandatory keys according to the desktop
    entry spec; some .desktop files missing one or the other have been
    spotted in the while, so ignore them explicitly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=662409

M	libmenu/desktop-entries.c

commit 2179d84e1d7ce5a5b79f2736bf64a13e7bca1b4d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Oct 7 10:43:02 2011 +0200

    layout: Put the Other menu at the end
    
    It's really a special menu, which should not be handled with
    alphabetical order.

M	layout/applications.menu

commit 480edac95baba553b3cfc471817779e50a367871
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 28 09:24:19 2011 +0200

    release: post-release bump to 3.2.1

M	configure.ac

commit 2d5915b925791d2d3bd736704a8706553455bd26 (tag: 3.2.0.1)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 28 09:24:11 2011 +0200

    release: 3.2.0.1

M	NEWS
M	configure.ac

commit f1c76629d33a616089a15bd034708d21e8bd9a87
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 27 12:09:35 2011 +0200

    editor: Fix to work with latest pygi
    
    https://bugzilla.gnome.org/show_bug.cgi?id=660112

M	simple-editor/GMenuSimpleEditor/main.py
M	simple-editor/GMenuSimpleEditor/menufilewriter.py
M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit b87a8c15e95fa64c94343b0bfdc6523e8f6c1bbc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:09:13 2011 +0200

    release: post-release bump to 3.2.1

M	configure.ac

commit 4b0e41e9b45087402e64d90c2760c8d2101cd53e (tag: 3.2.0)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 26 11:09:08 2011 +0200

    release: 3.2.0

M	NEWS

commit 36f7db2473f1d6a0c7a1b1e05e056210ac87e80b
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Sat Sep 24 15:27:52 2011 +0530

    Updated Assamese Translations:bugzilla#659595

M	po/as.po

commit 1412cf2222ef8e0f33e9bfa234cf7fdbf6aee035
Author: ipraveen <mail2ipn@gmail.com>
Date:   Fri Sep 23 16:32:28 2011 +0530

    Updated Telugu Translation

M	po/te.po

commit 3ecf6975346ab77b111a99c45b0f7a79228b202f
Author: ipraveen <mail2ipn@gmail.com>
Date:   Fri Sep 23 16:26:27 2011 +0530

    Updated Telugu Translation

M	po/te.po

commit 26e1dd8864b18c5dee038a929bc23cfcadc0f6e1
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:   Thu Sep 22 20:17:41 2011 +0200

    Updated Assamese translation

M	po/as.po

commit 612011be0953e15f349946ba48df5e6e8f036282
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 19:34:28 2011 +0200

    release: post-release bump to 3.2.0

M	configure.ac

commit 5d7dd75fbf694cfd31f04a3f81c80786b1b5841d (tag: 3.1.92)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 19 19:34:21 2011 +0200

    release: 3.1.92

M	NEWS
M	configure.ac

commit 49406208c5b1bfe449ed46c20d0bf16c7a363518
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sun Sep 18 18:22:42 2011 +0300

    Updated Belarusian translation (some fixes after manual testing).

M	po/be.po

commit c3cc2e1d2dfa4f219c01c8dfee4d14e8aebd3a1e
Author: Jiro Matsuzawa <jmatsuzawa@src.gnome.org>
Date:   Sat Sep 17 12:08:06 2011 +0900

    Updated Japanese translation

M	po/ja.po

commit 8c4aa57ca8ff56f1941899eb3c67babd2b7a3839
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Wed Sep 14 17:37:05 2011 +0200

    Updated Spanish translation

M	po/es.po

commit ecb47adb12c8ec9a3998efa96656dfedfe002525
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Aug 29 08:43:26 2011 +0200

    libmenu: Fix build failure with --enable-debug
    
    gmenu_tree_entry_get_name() was still being used.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656714

M	libmenu/gmenu-tree.c

commit 20d76fb2f1664aadf0b33c7c91603b47dfe04ef0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 28 19:22:26 2011 -0400

    Post-release version bump

M	configure.ac

commit 002662a50ab7fbce7398596a53e7270fc6f168e3 (tag: 3.1.90)
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Aug 28 19:22:00 2011 -0400

    3.1.90

M	NEWS

commit 739d3f6ef7d533544f1ec2b4d6e237bfaca99e85
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Sun Aug 21 17:27:50 2011 -0400

    libmenu: Don't try to unref potentially NULL pointers
    
    When a DIRECTORY desktop entry fails to load, we'll try to unref
    some NULL pointers. This was causing some warnings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=657042

M	libmenu/desktop-entries.c

commit 5fade40dc3ebff3b4c00cdf37e6d7198e39e9bce
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 11:50:59 2011 +0200

    release: post-release bump to 3.1.90

M	configure.ac

commit 8e0ecffe8a6d4434dab086525f52d05e00edf0e9 (tag: 3.1.5)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 11:50:52 2011 +0200

    release: 3.1.5

M	NEWS
M	configure.ac

commit 61c87a8e66bfa1d7a823a588b073e3922edc78c3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Aug 12 10:44:32 2011 +0200

    libmenu: Support XDG_CURRENT_DESKTOP
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653440

M	libmenu/desktop-entries.c

commit f0e41152be32a3e07772b53a6c3a0d4dbb0545d9
Author: Colin Walters <walters@verbum.org>
Date:   Tue Aug 2 23:13:30 2011 -0400

    gmenu_tree_get_entry_by_id: New API
    
    It's useful for gnome-shell if we have an index by desktop file ID to
    the tree entry.  The cost is very small.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=655868

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 2a17c07927cfc23c9837969ac43f2fbcf9e433d7
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jul 23 10:06:35 2011 +0200

    build: Require gio-unix-2.0 >= 2.29.15
    
    g_desktop_app_info_get_show_in() was pushed, but after 2.29.14.

M	configure.ac

commit 3fae17cc6e86b3e988df481a05a386e005b7637c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 13:21:17 2011 +0200

    editor: Stop editing settings.menu
    
    We dropped that file a while ago. We could replace this with
    gnomecc.menu, but gnome-control-center loads the file from the system
    configuration and explicitly ignore the user changes there...

M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit 1cb6fe8f97cc5a12933bd77d278a16827e763c13
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jul 22 08:55:19 2011 +0200

    libmenu: Unset GMenuTree:menu-basename if GMenuTree:menu-path is set
    
    Since GMenuTree:menu-basename has a non-NULL default value, we really
    want to unset it if the user sets GMenuTree:menu-path, to avoid any
    potential confusion.
    
    We need a constructor to do this magic, as the properties are
    construct-only, and doing this anywhere else would be too late.

M	libmenu/gmenu-tree.c

commit 02d0f749a1c4f406fa773254c2095e6c4f3d5979
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 18:28:56 2011 +0200

    libmenu: Group GMenuTreeFlags flags in a pseudo-consistent way
    
    Since we're breaking ABI, let's go crazy and change the value of flags.
    Grouping flags by some sort of meaning (include ones, show ones, misc.
    ones) makes the header a bit nicer to read.

M	libmenu/gmenu-tree.h

commit 9e2b4abdc8ec63e20f4c2a52b3047f1d767ebd8d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 18:19:24 2011 +0200

    editor: Port to introspection-based gmenu bindings

M	simple-editor/GMenuSimpleEditor/maindialog.py
M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit 6f4cf16ec2633ebc62cb91759dbfd01923cd3c73
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 18:09:25 2011 +0200

    libmenu, util: Rename gmenu_tree_get_menu_path()
    
    Renamed to gmenu_tree_get_canonical_menu_path(), to avoid any potential
    confusion with the menu-path property.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit 8bc90706c9bfbf0d55c2eaddc859afb4a52a3281
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 18:07:54 2011 +0200

    libmenu: Add API to load menu file from full path
    
    Add gmenu_tree_new_for_path() and GMenuTree:menu-path.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit c653bbe8904acca4340f70574357d843e549035c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 17:22:20 2011 +0200

    libmenu, util: Rename GMenuTree:name to GMenuTree:menu-basename
    
    This is a much clearer name for the property, else people might assume
    they can use a full path, or something that is not a basename.
    
    Note that a relative path will work, but that really should not be of
    much use, hence the choice of basename.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/gnome-menus-ls.js

commit c45596c3d87fa3e344b9e9a32c51190e12d67d93
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 17:13:18 2011 +0200

    libmenu: Fix critical warning when trying to load "" menu
    
    Yes, this is a weird use of the API, but still.

M	libmenu/gmenu-tree.c

commit 4c85e0ee58a4e8b11f1e5527909eefd02133a72a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 17:00:25 2011 +0200

    libmenu: Default GMenuTree::name property to "applications.menu"
    
    This is useful for introspection bindings, since users will not
    necessarily think of setting the menu name property at construct time.
    And it's a saner default than NULL.

M	libmenu/gmenu-tree.c

commit d8be0079a48bb7b486cc2b1355ee0cea2596fecb
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 16:55:57 2011 +0200

    libmenu: Do not keep internal load_error in GMenuTree
    
    This is not used, and it actually gets corrupted at some point (since
    g_propagate_error means we lose the ownership of the GError).

M	libmenu/gmenu-tree.c

commit bb3e154f60f81e97178b0cb8457827b29ee20692
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 16:01:46 2011 +0200

    build: Bump version to 3.1.4
    
    This is needed so users can know which version to require for the new
    API.

M	configure.ac

commit 70e9aaacbe0783fe11b7c69310873e0dc638b274
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 15:57:18 2011 +0200

    libmenu: Drop GMenuTreeDirectoryRoot
    
    This was only used internally, but with no reason.

M	libmenu/gmenu-tree.c

commit 17961198a182d5f68e4773427b1c8f735e0a01cd
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 15:48:35 2011 +0200

    libmenu: Make gmenu_tree_directory_get_icon() return a GIcon
    
    It's much better to use GIcon than icon name strings.

M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 3c6ad47de8cfc3581fee66107a41ba4b39dd0de0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jul 21 15:26:11 2011 +0200

    libmenu: Correctly deal with OnlyShowIn/NotShowIn
    
    We're using new glib API for this.
    
    Also, we do not remove entries because of OnlyShowIn/NotShowIn before
    processing the layout, as we might want to add a GMenuTreeFlags value in
    the future, to include .desktop files that are excluded because of
    OnlyShowIn/NotShowIn.

M	configure.ac
M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c

commit 66557ef586adff091c8ce69a2f472da00dcd89ba
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Jul 4 17:23:32 2011 +0200

    build: Drop check for -fno-strict-aliasing support
    
    This was only needed for our previous python bindings.

M	configure.ac

commit fc5492ab992fde2b8d378ed91f0b4c6c62cbe69b
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jun 14 13:52:06 2011 -0400

    libmenu: Dispose of source before context to avoid possible double unref

M	libmenu/menu-layout.c

commit 21062503fff272872fdfc5fb468288b1faa85127
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jun 14 13:25:47 2011 -0400

    libmenu: Make refcounts volatile as g_atomic_* expect

M	libmenu/gmenu-tree.c

commit b8b2471e8a3bd0f2d469dea41067721919359c22
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 14 09:04:31 2011 +0200

    libmenu: Correctly look up at NoDisplay for .desktop files
    
    We were using Hidden instead. This requires glib 2.29.9.

M	configure.ac
M	libmenu/desktop-entries.c

commit 6ba57847943cd74839a306ed6c8926401e370b85
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 12:50:05 2011 +0200

    libmenu: Simplify some code

M	libmenu/desktop-entries.c

commit 2c47cdbebb15715d91d95aa4babc2de7a993dbd4
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 12:38:30 2011 +0200

    libmenu: Fix loading of .directory files
    
    We were always returning FALSE, leaking some data and not displaying a
    debug message in case of error (like for .desktop files).

M	libmenu/desktop-entries.c

commit 6aff671fbeccb5ff7ec3290d0fd6345fbbb632c8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 12:34:26 2011 +0200

    util: Fix build after gmenu_tree_alias_get_item_type() renaming

M	util/test-menu-spec.c

commit 398fd5c145524b7961c9d1dbc105c1cd49d98103
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 12:12:55 2011 +0200

    doc: Do not reference non-existing gmenu_tree_iter_get_next_type()
    
    This is gmenu_tree_iter_next().

M	libmenu/gmenu-tree.c

commit e71520d5d2ccc4392b046e5feb84349d71a2c69f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 12:11:31 2011 +0200

    libmenu: Handle GenericName for .directory files
    
    While we do not strictly need them right now, this is allowed by the
    specification and might be used later.

M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit f29590a8c3771af47debf75c929170fe59877dce
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 11:53:59 2011 +0200

    libmenu: Fix desktop_entry_copy() for .desktop file
    
    We were not dealing with the appinfo field at all.

M	libmenu/desktop-entries.c

commit 0d5f1909518f86d7283cde404e9470e6f55a42d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 11:41:20 2011 +0200

    libmenu: Rename gmenu_tree_alias_get_item_type
    
    Renamed to gmenu_tree_alias_get_aliased_item_type, to avoid any
    potential confusion about the typoe of what item this is.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 4d96af04a6d1d2e211c2005cc9d03d2b0e1a85c0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 11:33:16 2011 +0200

    libmenu: Drop gmenu_tree_entry_get_is_nodisplay() from header
    
    The function got dropped, and having a similar function in
    GDesktopAppInfo would be the right thing to do.

M	libmenu/gmenu-tree.h

commit f587ca8642070892fd4172ab01735c4a0789dc19
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 11:12:42 2011 +0200

    libmenu: Remove unneeded cast

M	libmenu/gmenu-tree.c

commit 2167c042bc089ba1e570ac9ba60dcdddb1d1d3c3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 11:05:52 2011 +0200

    libmenu: Rename desktop_entry_desktop_get_icon to desktop_entry_get_icon
    
    The additional desktop in the name was confusing.

M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c

commit 0f7d374006f32559893629fba47fecfaa031d4f8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 10:53:05 2011 +0200

    libmenu: Fix getting the flags property
    
    This was not handled at all.

M	libmenu/gmenu-tree.c

commit 0eaed2f94d52a8b03263e5976a4d16104546929c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 10:39:54 2011 +0200

    libmenu: Drop support for "KDE Desktop Entry" group
    
    This was deprecated for years, and with the move to GDesktopAppInfo, we
    don't support this group for .desktop files anyway, so it makes no sense
    to keep supporting it for .directory files.

M	libmenu/desktop-entries.c

commit 536c6d510f53bbf76ff0c4134e935c8e7cf552da
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 10:31:37 2011 +0200

    libmenu: Use explicit GMENU_TREE_FLAGS_NONE instead of 0

M	libmenu/gmenu-tree.c

commit d5da147d09ca09e593e4a88c11b782ee7479268f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 12 09:58:20 2011 +0200

    Spaces/tabs fixes

M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	libmenu/menu-layout.c

commit 6920649082e3c0be363094054eecc9f1185a8185
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 8 17:55:43 2011 +0200

    util: Do not call exit() in test tool
    
    A simple return statement is enough.

M	util/test-menu-spec.c

commit f88d8c4dd17055932a6b335c008b496327d536b3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 8 17:48:58 2011 +0200

    build: Fix pkg-config to require gio-unix-2.0 and not glib-2.0
    
    We reference gio/gdesktopappinfo.h in our public header.

M	libmenu/libgnome-menu-3.0-uninstalled.pc.in
M	libmenu/libgnome-menu-3.0.pc.in

commit cfb20fb779eeed93a0c9571a8340251c8964ef69
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 8 17:44:16 2011 +0200

    gi: Add/Fix annotations to remove introspection warnings

M	libmenu/gmenu-tree.c

commit 91a698f7860b3d8d5f29ffcdfcdbadf0cc347bad
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 8 17:39:42 2011 +0200

    build: Version the library name and the pkg-config file
    
    The library is now libgnome-menu-3, the pkg-config file is
    libgnome-menu-3.0, the header directory is gnome-menus-3.0 and the
    gettext package is gnome-menus-3.0.
    
    This way, it's possible to keep the old libgnome-menu around if some
    applications still need it.

M	configure.ac
M	libmenu/Makefile.am
R080	libmenu/libgnome-menu-uninstalled.pc.in	libmenu/libgnome-menu-3.0-uninstalled.pc.in
R072	libmenu/libgnome-menu.pc.in	libmenu/libgnome-menu-3.0.pc.in
M	util/Makefile.am

commit 669f03a403ca83facf83020e9c37b894c67f1b9b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 8 16:19:49 2011 +0200

    build: Remove old python-related build stuff

M	configure.ac
D	m4/python.m4

commit 1cf4482fa3416b98916653db23b40edb26d8646d
Author: Colin Walters <walters@verbum.org>
Date:   Thu Apr 21 13:21:57 2011 -0400

    Bump to GMenu-4.0.gir; this matches the package version.

M	libmenu/Makefile.am

commit 5aa2c53ef25f684a848312455dad396f28c96a90
Author: Colin Walters <walters@verbum.org>
Date:   Wed Apr 20 17:48:07 2011 -0400

    Replace Python example with JS

M	util/Makefile.am
A	util/gnome-menus-ls.js
D	util/gnome-menus-ls.py

commit f0101da1c3df623f5a0023d9c787535e89476291
Author: Colin Walters <walters@verbum.org>
Date:   Wed Apr 20 17:42:39 2011 -0400

    Remove GMenuTreeItem from public API
    
    gmenu_tree_directory_get_contents() wasn't actually bindable because
    there's no way to express to introspection the inheritance hierarchy
    (and to do the runtime type checking necessary via
    gmenu_tree_item_get_item_type()).
    
    Therefore, drop it, and instead add explicit functions where each type
    is needed.  So for gmenu_tree_directory_get_contents(), we instead
    add an explicit typesafe iterator object.
    
    The only other instance was gmenu_tree_alias.
    
    Note that gmenu_tree_item_ref() and gmenu_tree_item_unref() remain;
    they're C only, and already just took "gpointer".

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit 76895ad01d450696519425d03beab8845230397b
Author: Colin Walters <walters@verbum.org>
Date:   Wed Apr 20 17:16:25 2011 -0400

    introspection: scan gmenu-tree.c
    
    Now that we're actually adding gtk-doc.

M	libmenu/Makefile.am

commit 0877f894a6c74f0dc7522e9cb93cc223097d1494
Author: Colin Walters <walters@verbum.org>
Date:   Mon Apr 18 16:17:04 2011 -0400

    Document a few functions

M	libmenu/gmenu-tree.c

commit bd78be7ad777f70d2390309507162f5dc267ea2f
Author: Colin Walters <walters@verbum.org>
Date:   Mon Apr 18 15:36:01 2011 -0400

    gmenu_tree_entry_get_parent: New function
    
    Earlier we moved this down to GMenuTreeDirectory, but it turns
    out gnome-shell does expect to be able to get the parent of a
    GMenuTreeEntry.  In the future I want to nuke that code, but
    for now just readd this functionality.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 94b2ea48a5221bd6dc82b8b468bb85ea6d420e57
Author: Colin Walters <walters@verbum.org>
Date:   Mon Apr 18 10:10:53 2011 -0400

    layout: Use thread-default main context for callbacks
    
    Rather than hardcoding g_idle_add(); this gives us future
    flexibility for thread support.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/menu-layout.c

commit 52f9f7017779b6691e2b3f46f6c24e37f219abbf
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 11:22:32 2011 -0400

    Remove gmenu_tree_directory_get_tree()
    
    This causes a circular reference internally, and API consumers
    can just keep track of it easily enough externally.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 5d1e03adc206f52dec82f2b5e8831022321cb1f8
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 10:17:20 2011 -0400

    Switch to gslice for most data
    
    This is more efficient for the small items we have here.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c

commit 4f47a654d91cc3b08d46ef518a42c7f484f01be3
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 09:57:47 2011 -0400

    Rename gmenu_tree_get_menu_file() to gmenu_tree_get_menu_path()
    
    Document it and clean it up.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit 13920c91868f77a964b4498b00072563608f583e
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 09:51:58 2011 -0400

    Further propagate GError for gmenu_tree_load_sync()
    
    We had some GError use internally; clean things up so we propagate
    it more consistently to the top of gmenu_tree_load_sync().
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c

commit 8ecb1aa5d762d25f787002dd001e92e404efabe9
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 09:31:34 2011 -0400

    Add explicit gmenu_tree_load_sync()
    
    Rather than having _get_root_directory() be lazy, require users
    to explicitly load via this function (or in the future, an
    async variant).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit a2bda1462b6b46b1c8e47a19977f15c294226ef9
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 08:58:19 2011 -0400

    Lower gmenu_tree_item_get_parent to gmenu_tree_directory_get_parent
    
    Introspection doesn't know about the GMenuTreeItem "subclassing",
    so we would have to duplicate the _get_parent method on all
    subclasses - but in practice it only seems to be used on directories,
    so just lower it there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit 14c163c8a8d35fe2daa9c0973495fb4462a3ddec
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 08:46:14 2011 -0400

    GMenuTreeItem: Register boxed types, drop user data
    
    This was a hack for the static Python bindings, no longer necessary
    after we register proper boxed types for the structures.
    
    Convert the refcount to an atomic integer too; the _unref may be
    called from a garbage collector thread in bindings.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 8eaf04da66be9437c518ac21e27cbbb67abcd3f5
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 08:44:02 2011 -0400

    Rename gmenu_tree_item_get_type() to _get_item_type()
    
    The _get_type() namespace suffix is reserved for GType.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit 474b86aac925d7b45d3bbbaba9111719ca0d9b8a
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 08:40:47 2011 -0400

    Replace monitor API with a simple "changed" signal
    
    So much simpler...
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	util/test-menu-spec.c

commit 21672a2d0ee94a9588fc15cf0cd4c5ffdfc818c1
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 07:50:19 2011 -0400

    Convert to GObject, drop static Python bindings
    
    GMenuTree is now a GObject.  Drop the static Python bindings, since
    introspection gives us coverage of most of the API now.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	Makefile.am
M	configure.ac
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	libmenu/menu-monitor.c
D	python/Makefile.am
D	python/gmenu.c
M	util/gnome-menus-ls.py
M	util/test-menu-spec.c

commit 0a7e4736d221ada2167a064c8b4aa9710a2e04bf
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 07:32:07 2011 -0400

    Drop GMenuTree caching and support for absolute paths
    
    This is work towards converting to GObject; the API to create a tree
    is now just gmenu_tree_new().
    
    First, the internal caching makes things very complex for little gain
    - gnome-shell only creates one GMenuTree, and gnome-panel could pretty
    easily be converted to do so.
    
    In a Google Code Search, I couldn't find anyone using absolute paths
    for menus, and looking through the revision history, I don't see
    a rationale for it.  So, just drop it too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	python/gmenu.c
M	util/test-menu-spec.c

commit 903c144be9527f048fa1389c39872d0f22740b62
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 07:17:22 2011 -0400

    GMenuTreeFlags: Register with GType
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit d660a95756c99fe053ffd4fbaf523008868f5a67
Author: Colin Walters <walters@verbum.org>
Date:   Sun Apr 17 07:10:01 2011 -0400

    Fold sorting into GMenuTreeFlags
    
    There's only two sorts right now, and so we can make one the default
    and select the other with the flags.
    
    Drop the ability to set the sort at runtime; this never was compatible
    with the current GMenuTree caching, and also I'm trying to move
    GMenuTree towards being immutable.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	python/gmenu.c

commit 4d00dcf9ce31b248c61dc66430b881ba32e2d611
Author: Colin Walters <walters@verbum.org>
Date:   Sat Apr 16 14:09:57 2011 -0400

    Rebase DesktopEntry on GDesktopAppInfo
    
    The main motivation for this work is to avoid gnome-shell having
    to read all .desktop files *twice* - once from gnome-menus, and
    once from gio (when doing MIME assocation etc.)
    
    This patch replaces almost all of the accessors for GMenuTreeEntry
    with the simple gmenu_tree_entry_get_app_info().
    
    Note this patch depends on patches from (see bug 647967).
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	configure.ac
M	libmenu/Makefile.am
M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	python/Makefile.am
M	python/gmenu.c
M	util/Makefile.am

commit 8a01f3c268a1515fb4e9ee8c924dae20a0880bb1
Author: Colin Walters <walters@verbum.org>
Date:   Sat Apr 16 13:31:21 2011 -0400

    desktop-entries.c: Split structure explicitly between .desktop and .directory
    
    This is code cleaup preparatory work for rebasing DesktopEntry on
    GDesktopAppInfo.
    
    These two cases are different; make this explicit via structure subclassing
    of a common base structure.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/desktop-entries.c

commit 5a936c77ebb7ffddbc4e282662bb2d5f62a8a814
Author: Colin Walters <walters@verbum.org>
Date:   Sat Apr 16 11:54:17 2011 -0400

    DesktopEntry: Clean up structure, make TryExec evaluation lazy
    
    This is preparatory work for rebasing DesktopEntry on top of
    GDesktopAppInfo.
    
    First, it doesn't make sense to represet a random subset of booleans
    as flags; just flatten these into a bitfield.  Move the refcount to be
    a plain guint at top.
    
    Second, previously we were calling g_find_program_in_path when
    creating a .desktop file, even if the caller wasn't interested in
    whether the TryExec succeeded.  Make this lazy.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/desktop-entries.c

commit ea008b417c02e8238f58d2d419d01129c2de9226
Author: Colin Walters <walters@verbum.org>
Date:   Sat Apr 16 11:04:26 2011 -0400

    DesktopEntry: Make basename const reference
    
    Avoids another malloc block.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=647968

M	libmenu/desktop-entries.c

commit 6cf363f9eaf4ba8ea736ca0a9e8d427226f381f6
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Thu Jul 7 22:30:06 2011 +0200

    Add Zulu (zu) to LINGUAS

M	po/LINGUAS

commit 756d19762d1793ebe80df661328a1c7a510b9773
Author: Priscilla Mahlangu <priny@translate.za>
Date:   Thu Jul 7 22:28:26 2011 +0200

    New translation for Zulu (zu)

A	po/zu.po

commit 5c896c6418cbc6111c823cca5401204bd62c16dc
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:   Sat Jun 25 20:33:13 2011 +0300

    Updated Belarusian translation.

M	po/be.po

commit 9841d10ecf88b816ea18f186b64d4f1798f0c21a
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sun May 29 18:26:56 2011 +0200

    [l10n]Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7336104da09a01db012c6d7e4d11abc3bac2f4e8
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 26 09:12:06 2011 +0200

    release: post-release bump to 3.0.2

M	configure.ac

commit 582b78f2d085130fb63537c8e7b1120ff77c9979 (tag: 3.0.1)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Apr 26 09:11:59 2011 +0200

    release: 3.0.1

M	NEWS
M	configure.ac

commit 1febd5e57900e931b9aa53774a8c3caaff4f6a2a
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Mon Apr 25 08:41:18 2011 +0700

    Updated Thai translation.

M	po/th.po

commit df2f20a03a78d23665148c608b4955bb4702c2d9
Author: Anousak Souphavanh <anousak@gmail.com>
Date:   Tue Apr 19 12:47:55 2011 +0300

    l10n: Added Lao translation for gnome-menus

M	po/LINGUAS
A	po/lo.po

commit 2a436ad5101f3a05a029ffaded8d60c412686540
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:04:28 2011 +0200

    release: post-release bump to 3.0.1

M	configure.ac

commit 8f288a1114e95adf98f8186cb309e5cacad66105 (tag: 3.0.0)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 4 23:04:21 2011 +0200

    release: 3.0.0

M	NEWS
M	configure.ac

commit a153239bdf7126154ada0b7e22bf827860cad330
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Mon Apr 4 15:25:07 2011 +0600

    Updated Bengali translation

M	po/bn.po

commit 381752ab7db377bdabcfda08ab90353ce78770f7
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 00:14:46 2011 +0200

    [l10n]Fixes on Catalan translation

M	po/ca.po

commit 61593b848a8f03694a7963a0cb796aa06b82330c
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Apr 2 10:31:35 2011 +0700

    Updated Vietnamese translation

M	po/vi.po

commit 5d9e2b6e441b907ca9724ab3fdc02fc32fa12205
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Apr 2 10:31:18 2011 +0700

    po/vi.po: import from Damned Lies

M	po/vi.po

commit e8d7b8fb9d128ac39e3e0f1dd6a8e96c7ce18e75
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Fri Apr 1 13:21:53 2011 +0530

    Updated Telugu translations done by praveen

M	po/te.po

commit 4fb0ed4d0e7a4fb40e56af6d462467bd16d4c512
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Mar 30 12:53:39 2011 +0530

    layout: Show administration tools and old capplets in Other
    
    Right now, administration tools and capplets that used to be in the
    Control Center are not accessible in any way. With this patch, they
    appear in Other. While this is not perfect, this will make them
    accessible until we find the right solution.
    
    To do this, we just exclude .desktop files that match panels from the
    Control Center instead of excludings the Settings category, which is too
    broad.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645061

M	layout/applications.menu

commit 7c73245fcbd5feaf66df50ee6ca5e8c9132a11aa
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sun Mar 27 19:50:01 2011 +0200

    Added UG translation

M	po/ug.po

commit d2bd20e2e09fa4791da9a9881d77d58f31328ec9
Author: Sense Hofstede <sense@ubuntu.com>
Date:   Fri Mar 18 19:52:08 2011 +0100

    Updated Frisian translation

M	po/fy.po

commit de31041b34a03b1438407a5604a0d416ea791e31
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Mon Mar 7 08:07:25 2011 +0200

    Updated Arabic translation

M	po/ar.po

commit 819557fd56cd9a867bc1ed66955b70c823292b71
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Mar 6 23:38:58 2011 +0100

    release: post-release bump to 2.91.92

M	configure.ac

commit 764cf265fac8b7ee574d045b44431fe7cfbd4852 (tag: 2.91.91)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Mar 6 23:38:51 2011 +0100

    release: 2.91.91

M	NEWS
M	configure.ac

commit 8e256fa080eadccecea4823f688974da34ed3790
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Mar 1 17:43:54 2011 +0200

    Uploaded Ukranian

M	po/uk.po

commit 715a80efbe9d2be0f329979e13073b0ece9241af
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Feb 27 17:17:37 2011 +0900

    Updated Korean translation

M	po/ko.po

commit 2966b4886b300a0bba438242fa5f44ac9f16f1c0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 23 02:55:18 2011 +0100

    editor: Fix to work with latest pygi
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643019

M	simple-editor/GMenuSimpleEditor/maindialog.py
M	simple-editor/GMenuSimpleEditor/menufilewriter.py
M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit 8c66c8ad72ab512bc194cf16eadb7bf76696d817
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Mon Feb 7 07:59:47 2011 +0200

    Updated translation for Afrikaans (af)

M	po/af.po

commit 9792ac69297dc003f5ba4d9461e15874ac1a6908
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Feb 4 12:01:19 2011 +0100

    build: Add ${ACLOCAL_FLAGS} to ACLOCAL_AMFLAGS
    
    This is used by gnome-autogen.sh, and we need it when aclocal.m4 is
    to be rebuilt by make, to avoid losing some aclocal paths.
    
    Also, don't set ACLOCAL_AMFLAGS in configure.

M	Makefile.am
M	configure.ac

commit 6223b261d5a46ac170567ca4d5c0a00a07f64d43
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Wed Feb 2 09:39:00 2011 +0100

    Updated Slovak translation

M	po/sk.po

commit 668835a8d12d1dd5c88e3bc0fdd44eb6a63272e3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 01:21:58 2011 +0100

    release: post-release bump to 2.91.90

M	configure.ac

commit c24f0b2ada3123141049ca579d080245a923b88a (tag: 2.91.6)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 01:21:07 2011 +0100

    release: 2.91.6

M	NEWS
M	configure.ac

commit 8c2c9b554fdbbd10769c6028a51e230e362b9b4c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Feb 2 01:19:36 2011 +0100

    build: Fix distcheck (missing file in POTFILES.in)

M	po/POTFILES.in

commit b68bcd27f44ce2c494f6e3cd9695890b9c02af04
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 1 15:18:49 2011 +0100

    layout: Drop settings.menu
    
    It doesn't fit in the GNOME 3 world, where we use gnomecc.menu.

D	desktop-directories/InternetAndNetwork.directory.in
D	desktop-directories/LookAndFeel.directory.in
M	desktop-directories/Makefile.am
D	desktop-directories/Settings-System.directory.in
D	desktop-directories/Settings.directory.in
D	desktop-directories/X-GNOME-Menu-System.directory.in
M	layout/Makefile.am
D	layout/settings.menu
M	po/POTFILES.in

commit 9ff2b267f4ae08ec38a2eb49c9de7f6778708d22
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Thu Jan 27 03:38:30 2011 +0100

    QA of Galician translations

M	po/gl.po

commit 81dcfb9938e49083eddf545ec4ad919885a041c8
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Thu Dec 23 19:02:04 2010 +0100

    Added UG translation

M	po/ug.po

commit 340f2aa06c57705e9c3c7dcc62abccfa583ed2c8
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Dec 20 14:06:53 2010 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 31c1309040172956c84a6123460e7254221ac2eb
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Dec 19 12:56:53 2010 +0700

    po/vi.po: import some translations from Ubuntu/Maverick

M	po/vi.po

commit faf02643fb23eb2ca0ef08b75cd77e1cae0237ab
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 20 11:41:03 2010 +0100

    Added UG translation

M	po/ug.po

commit f921bd15a02ee98d8ad2a5301135f096e0a0621f
Author: Mahyar Moghimi <mahyar.moqimi@gmail.com>
Date:   Fri Nov 19 16:16:58 2010 +0330

    Updating Persian Translation

M	po/fa.po

commit eb15998cee9614522a4a6018249aa449a5b9ead0
Author: Gheyret T.Kenji <gheyret@gmail.com>
Date:   Sat Nov 13 22:20:28 2010 +0100

    Added UG translation

M	po/ug.po

commit 5062b41c9ede06f1dfaa030a72201d7cb24e28d4
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Fri Oct 29 01:09:57 2010 +0100

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit cfaef75741125ab692e4154dcf9ceda8b554c26d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Oct 9 11:48:56 2010 +0200

    build: Update git.mk from pango

M	git.mk

commit 9cbd519531eaacb61cc686c13dce94cc5efb2fb2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 16:44:29 2010 +0200

    editor: Remove useless import

M	simple-editor/GMenuSimpleEditor/maindialog.py

commit 6a776912dd1c963644b0291dbf8726ef1ec116ee
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 16:42:06 2010 +0200

    introspection: Tell g-ir-scanner what are the prefixes
    
    This means we now require gobject-introspection 0.9.5.

M	configure.ac
M	libmenu/Makefile.am

commit 5092245c4fe1449bee93b8923e370d7db339f40f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 15:45:31 2010 +0200

    libmenu: Do not send multiple notifications for one file change
    
    We emit notifications in the idle loop, which enables us to compress
    multiple notifications: this way, we can check if there is already a
    notification for a directory.
    
    We do this at the CachedDir level because it enables us to get one
    notification for a file rename, for example. But we also need it at the
    MenuLayout level to be sure to compress notifications accross multiple
    directories. It could be argued that we only need the latter, but I like
    it this way :-)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=172046

M	libmenu/entry-directories.c
M	libmenu/menu-layout.c

commit 2e394806107ccbf0a3b822ab299042ea441c721e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 12:01:53 2010 +0200

    editor: Forgot to remove "import pygtk" :-)

M	simple-editor/GMenuSimpleEditor/main.py

commit adb08fee8c3677e539b9d1ca8fab9be1c4bf14b9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 11:58:31 2010 +0200

    editor: Remove has_separator property
    
    It's gone in new GTK+.

M	simple-editor/gmenu-simple-editor.ui

commit cd550ce70f391ba3511800a1e100213bc3ff6c45
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 6 11:56:48 2010 +0200

    editor: port to pygobject-based introspection bindings
    
    https://bugzilla.gnome.org/show_bug.cgi?id=626256

M	simple-editor/GMenuSimpleEditor/main.py
M	simple-editor/GMenuSimpleEditor/maindialog.py
M	simple-editor/GMenuSimpleEditor/menufilewriter.py
M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit ce014ee2884f134bcd9764043a58eb32294062ed
Author: Kikongo Translation Team <lundombe01@zaya-dio.com>
Date:   Mon Sep 27 13:27:43 2010 +0200

    Added Kikongo translation

M	po/LINGUAS
A	po/kg.po

commit 15056451271dc5faf31ee2161cdb5696773275c5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:58:48 2010 +0200

    release: post-release bump to 2.30.5

M	configure.ac

commit 9c269a6850ca8c97edc1e41419d8f7778574c84f (tag: GNOME_MENUS_2_30_4)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:58:40 2010 +0200

    release: 2.30.4

M	NEWS
M	configure.ac

commit 90a58de1f3a7381b26206be39624a3d40d8ffb07
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:29:45 2010 +0200

    misc: Rename --enable-deprecations to --enable-deprecation-flags
    
    This is a better name for this configure option, since it's really about
    enabling the use of the deprecation flags, not allowing the use of
    deprecated API.

M	configure.ac

commit f1da5abb7c1783134cfa485b323aedb4f5bc2465
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 27 12:04:53 2010 +0200

    introspection: Associate .gir with pkg-config file

M	libmenu/Makefile.am

commit fbd3e2c9f8fb8de4c975367f30b84121478da7d2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Sep 23 19:40:47 2010 +0200

    libmenu: Clear cache of desktop entries set when files are added/removed
    
    When installing or removing an application, we get a notification of
    change. However, the menu tree still contained the same content.
    
    We were simply not clearing the cache containing the list of desktop
    entries when a file got added or removed, meaning that we always got the
    same list of desktop entries.
    
    (Note that it didn't affect gnome-panel, it's unclear why)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=630410

M	libmenu/entry-directories.c

commit 54af0ebf8863955c0641670343ac57900092f104
Author: Torstein Winterseth <kvikende@fsfe.org>
Date:   Wed Sep 22 14:32:00 2010 +0200

    Updated Norwegian Nynorsk translation.

M	po/nn.po

commit b8874d1d36c9b7d448b4958af5b71f2fa3606984
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:39:28 2010 +0200

    build: Update all Makefile.am to more recent standards

M	Makefile.am
M	desktop-directories/Makefile.am
M	layout/Makefile.am
M	libmenu/Makefile.am
M	python/Makefile.am
M	simple-editor/GMenuSimpleEditor/Makefile.am
M	simple-editor/Makefile.am
M	util/Makefile.am

commit 7060e3c48a391c0fa96e57879575e333c3a54e67
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 20 17:37:50 2010 +0200

    misc: Update instructions for commit messages
    
    We're switching to "tag:" instead of "[tag]".

M	ChangeLog

commit 22642577f7324349b3681bc58e32004820236066
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Mon Sep 20 18:06:25 2010 +0900

    Updated Japanese translation

M	po/ja.po

commit feeb6b4d64f2d3e5e0f284aa3e1bfd625a627b1f
Author: Daniel Martinez <entaltoaragon@gmail.com>
Date:   Sat Sep 18 20:45:19 2010 +0200

    Updated Aragonese translation

M	po/an.po

commit 6010094c40eb65965622141cb09fec3a0c8b31d3
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Sep 15 12:55:46 2010 +0600

    Updated Kazakh translation

M	po/kk.po

commit fe36b5b5371404ea96a46ac6d6b4a003f54d9828
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 14 14:40:07 2010 +0200

    release: post-release bump to 2.30.4

M	configure.ac

commit 721b241e2c5449003238d333d03063fdfe7b3aa1 (tag: GNOME_MENUS_2_30_3)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 14 14:39:56 2010 +0200

    release: 2.30.3

M	NEWS
M	configure.ac

commit 328cff2e2951e817a6e999b3a3a8b563f07cd778
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 19:23:00 2010 +0200

    [misc] Update AUTHORS, HACKING, MAINTAINERS, README
    
    Nothing new, but make sure this is up-to-date.
    
    Also tweak a bit autogen.sh and Makefile.am to make them look similar in
    all my modules.

M	AUTHORS
M	HACKING
M	MAINTAINERS
M	Makefile.am
M	README
M	autogen.sh
M	gnome-menus.doap

commit 4cfd7db5d1ac221bc1397854a04dc40a654f1188
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:48:37 2010 +0200

    [misc] Update license files to latest text
    
    Note that this doesn't change the license. The license text was updated
    for the latest FSF address, for example.

M	COPYING
M	COPYING.LIB

commit bd02ce500383aa04914fda89900af93cdb33809d
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 8 17:09:44 2010 +0200

    [build] Rename configure.in to configure.ac

M	autogen.sh
R100	configure.in	configure.ac

commit 8b14b78f279bad26580387b69a3274ba1197f66b
Author: Dirgita <dirgitadevina@yahoo.co.id>
Date:   Wed Aug 4 10:36:10 2010 +0700

    Updated Indonesian translation

M	po/id.po

commit d524140a28c92719bdcc81df207c38c3c96052c0
Author: Pablo Castellano <pablog@src.gnome.org>
Date:   Tue Aug 3 19:57:18 2010 +0200

    Update git.mk from pango

M	git.mk

commit d0cbd37e93980bae0781704765c56009913b0204
Author: Gheyret Tohti <gheyret@yahoo.com>
Date:   Tue Aug 3 13:54:06 2010 +0200

    Updated Uyghur translation

M	po/ug.po

commit 784b664c760d655ae306d2d5d718231a1d09333f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Tue Jul 20 12:10:56 2010 +0200

    Updated Galician translations

M	po/gl.po

commit 1100aed1ec5863ebfa80e51ca7f07e2b964459dd
Author: Sense Hofstede <qense@ubuntu.com>
Date:   Sun Jul 18 00:34:23 2010 +0200

    Fix forgotten copyright notices in the Frisian translations.

M	po/fy.po

commit e29c70ada73e7f029423361da318685d517cbd2b
Author: Sense Hofstede <qense@ubuntu.com>
Date:   Sun Jul 18 00:31:14 2010 +0200

    Updated Frisian translation and added it to the LINGUAS file

M	po/LINGUAS
A	po/fy.po

commit ce67a8b1603bb878131c23b625cf48b44ea8c477
Author: Reuben Potts <reuben03@live.com>
Date:   Wed Jul 7 13:51:56 2010 +0200

    Added Manx translation

M	po/LINGUAS
A	po/gv.po

commit 5e30e13fd5923befda0372473f64a81b98b35f92
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Jul 2 14:40:12 2010 +0300

    Updated Kazakh translation for gdm

M	po/kk.po

commit 2054996af842e6df1726e58d81a569f03e30d75f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 30 12:36:26 2010 +0200

    [editor] Better fix for XDG_MENU_PREFIX support in editor
    
    The previous fix was partly wrong, because the menu file referenced in
    the created user menu file was not using the prefix.
    
    So instead of letting the library handle XDG_MENU_PREFIX, we handle it
    ourselves everywhere.

M	simple-editor/GMenuSimpleEditor/menufilewriter.py
M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit ac425c5ac9e386fd171801496503d591d5c5ade2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jun 30 12:31:33 2010 +0200

    [editor] Respect XDG_MENU_PREFIX when writing user menu file
    
    https://bugzilla.gnome.org/show_bug.cgi?id=623197

M	simple-editor/GMenuSimpleEditor/menufilewriter.py

commit e8a7198465e090f3e35fc1ac328800909574801f
Author: Kristjan Schmidt <kristjan.schmidt@googlemail.com>
Date:   Wed Jun 23 17:15:51 2010 +0200

    Updated Esperanto translation

M	po/eo.po

commit 0e25cc961e1814cb2b6e6e2b9172a649f5542a50
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 22 03:57:14 2010 +0200

    [release] post-release bump to 2.30.3

M	configure.in

commit 3ec065b74712c99d1cdde955e864f203afccb41b (tag: GNOME_MENUS_2_30_2)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jun 22 03:57:06 2010 +0200

    [release] 2.30.2

M	NEWS
M	README
M	configure.in

commit 320453668ea791f1d7c9f11d84363bfbae63fb25
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Tue Jun 15 23:00:19 2010 -0500

    [build] Do not dist gir_DATA
    
    GIR files contain a shared-library attribute which varies per platform,
    and therefore must not be disted; see bug 621611 for rationale.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=621724

M	libmenu/Makefile.am

commit 612aeb7cd40f57757a733d0805a52f6a6a000152
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Jun 13 19:32:21 2010 +0200

    Updated Galician translations

M	po/gl.po

commit 7e1332e718118f16ab451a622d40ec3afde79c2b
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri May 21 22:24:04 2010 +0200

    Updated Slovenian translation

M	po/sl.po

commit f93cca66736b876b8739fb900b51c82e22c7aead
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Sun May 16 18:04:30 2010 -0400

    Updated Shavian translation

M	po/en@shaw.po

commit 0928101b34ac6bc6e7da5c8bd52d39af43a9f38f
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Wed May 12 18:41:06 2010 -0400

    Updated Shavian transliteration

M	po/en@shaw.po

commit a66c03d1771a15ffe054e9e64ff5183bda951bcf
Author: Peteris Krisjanis <pecisk@gmail.com>
Date:   Sat Apr 24 22:25:22 2010 +0300

    Updated Latvian translation.

M	po/lv.po

commit 498f225b6f9a4a146a534bacdc8b8b665cf71d95
Author: Daniel Martinez <entaltoaragon@gmail.com>
Date:   Sat Apr 24 11:21:36 2010 +0200

    Added Aragonese translation

M	po/LINGUAS
A	po/an.po

commit 5b8ae6e132b31a0a0f14021ef6cf2fc2794bc87e
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Wed Apr 21 23:31:15 2010 +0200

    Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 7408013978ba989af175f2ca17526fec4eea49c6
Author: Shankar Prasad <svenkate@svenkate.pnq.redhat.com>
Date:   Wed Apr 21 11:50:02 2010 +0530

    Updated Kannada translations

M	po/kn.po

commit 20d4732caf167f54c376d34184ca7fdcf7d834b7
Author: Jordi Serratosa <jordis.lists@gmail.com>
Date:   Fri Apr 2 17:41:22 2010 +0200

    Fixes to Catalan translation

M	po/ca.po

commit a08bbc660cd320245ea4f3ccab4c33261e83dc7b
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Wed Mar 31 20:11:39 2010 +0200

    Updated German translation

M	po/de.po

commit ffbddbf28289a4ac72b284e3cc6f4db04cf0b43e
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Tue Mar 30 18:01:20 2010 +0200

    Dutch translation updated by Wouter Bolsterlee

M	po/nl.po

commit 8d9f3db359acde4395645a0ea95c48567e5d79f4
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Tue Mar 30 00:46:58 2010 -0500

    Updated Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit fe6b717216cb93b05abc547fd11c550d9d4f4f4e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 30 02:02:15 2010 +0200

    [release] post-release bump to 2.30.1

M	configure.in

commit ada97a6e81d2f282796938269da7280dc5a8c83f (tag: GNOME_MENUS_2_30_0)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 30 02:02:06 2010 +0200

    [release] 2.30.0

M	NEWS
M	README
M	configure.in

commit 2d0068dc1859b3adf21cfcc47a23aa00fc7d4502
Author: Kostas Papadimas <pkst@gnome.org>
Date:   Sun Mar 28 10:01:00 2010 +0300

    Updated Greek translation

M	po/el.po

commit b7d6ee4f3f252b57a85787043fa3506d1640fa05
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Tue Mar 23 15:10:22 2010 +0100

    Updated Basque language

M	po/eu.po

commit e74ebd36d267033054e6bf15851da0f88d12eb3a
Author: Badral Sanligiin <badral@openmn.org>
Date:   Tue Mar 23 02:57:26 2010 +0100

    Updated Mongolian translation

M	po/mn.po

commit 1bec0581f480c3e8b485be1453de389083feff5c
Author: David Planella <david.planella@gmail.com>
Date:   Wed Mar 17 08:24:02 2010 +0100

    Updated Catalan translation as per fixes discussed on the translation mailing list

M	po/ca.po

commit 1253c82ed7ba774cbad7794c06d31249bf591c37
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 15 09:55:46 2010 +0100

    [libmenu] Never ignore Menuname nodes from DefaultLayout
    
    If a Menuname node applies to a subdirectory that appears because of
    inlining, we generally want to ignore it. However, if this Menuname node
    comes from a DefaultLayout, then it should really be applied.

M	libmenu/gmenu-tree.c

commit 7dba2d5302b539e24131e669e2db26f3c16e1547
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 15 09:27:44 2010 +0100

    [libmenu] Fix layout processing for Menuname nodes
    
    Because of the scope of a variable, no submenu were matching Menuname
    nodes in the layouts, making all the Menuname nodes non-working.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=612585

M	libmenu/gmenu-tree.c

commit c48304179db938f7336223f99ead95dda6044f7a
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sat Mar 13 23:55:09 2010 +0900

    Updated Korean translation

M	po/ko.po

commit 87f03667154f5c77548506218c57020e37d04c81
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Mar 9 14:06:21 2010 +0100

    [build] Add configure summary

M	configure.in

commit 9fbaa3d7f76ffb4076216d231acf39da0331e0bc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 8 14:49:09 2010 +0100

    [release] post-release bump to 2.30.0

M	configure.in

commit 076f8c42ce3e46c3b5cb761a3cd65c6f1e0a55a2 (tag: GNOME_MENUS_2_29_92)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 8 14:49:01 2010 +0100

    [release] 2.29.92

M	NEWS
M	README
M	configure.in

commit d50ff15f43bc2311fbd06bd9664ae9571fd550ea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Mar 8 14:43:18 2010 +0100

    [libmenu] Add gobject-introspection support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=598406

M	Makefile.am
M	autogen.sh
M	configure.in
M	libmenu/Makefile.am

commit d3135a15585afcb8d597fae05beadfaf1c743238
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Mar 4 17:55:40 2010 +0100

    [misc] Do not call bindtextdomain() and friends in test-menu-spec.c
    
    We decided to not make this application translatable in commit
    25c10ed7, so we don't need those calls.

M	util/test-menu-spec.c

commit 57e825050cf8eafb970c8ddd2dc9c66885d25ce3
Author: Nikos Charonitakis <nikosx@gmail.com>
Date:   Thu Feb 25 00:52:48 2010 +0200

    Updated Greek translation

M	po/el.po

commit 274a633ddb053a70e26278308a6fb52ef933e608
Author: Pavol Klačanský <pavol@klacansky.com>
Date:   Tue Feb 23 17:55:32 2010 +0100

    Updated Slovak translation

M	po/sk.po

commit 41d1ce2320c26dce1677e0624c36119ec88e6823
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 22 20:18:20 2010 +0100

    [release] post-release bump to 2.29.92

M	configure.in

commit 5eaf95e2c9e7755332a7c586eef34726244290dd (tag: GNOME_MENUS_2_29_91)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 22 20:18:05 2010 +0100

    [release] 2.29.91

M	NEWS
M	README
M	configure.in

commit ca24481c06829c7382d20ac7ee2283e22b908451
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 22 12:11:57 2010 +0100

    [misc] Add translator comment for Personal
    
    https://bugzilla.gnome.org/show_bug.cgi?id=610661

M	desktop-directories/Personal.directory.in

commit 25c10ed70c8125516537b3b731dff1c559bcab94
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Feb 22 12:06:48 2010 +0100

    [misc] Do not make the string test-menu-spec.c translatable
    
    This is only a test program that doesn't get installed, so there's no
    point in making translators work on the strings there.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=609441

M	po/POTFILES.in
A	po/POTFILES.skip
M	util/test-menu-spec.c

commit 8f52b3c312da587fb29590559cb50370787f6116
Author: Fran Diéguez <frandieguez@ubuntu.com>
Date:   Mon Feb 15 18:44:37 2010 +0100

    Updated Galician Translation

M	po/gl.po

commit ef1383eda9480c96ac2e5d958342c98ab1be41cb
Author: Torstein Adolf Winterseth <kvikende@yahoo.no>
Date:   Thu Jan 28 12:10:06 2010 +0100

    Updated Norwegian Nynorsk translation

M	po/nn.po

commit a0a398d77aa2ea28d267f106880e0df1417d8fab
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 27 16:47:53 2010 +0100

    [release] post-release bump to 2.29.90

M	configure.in

commit 2c37a7cbdd9d6f7e9f1ccfb0d2979da897e9668e (tag: GNOME_MENUS_2_29_6)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jan 27 16:47:41 2010 +0100

    [release] 2.29.6

M	NEWS
M	README
M	configure.in

commit a462be862680ee3051eef3ca238f5bc405640e16
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Sun Jan 24 23:15:18 2010 +0600

    Updated Bengali translation

M	po/bn.po

commit fdafd8c07a65e65fdf6f2e7d358b7eb2b14d01eb
Author: Aron Xu <aronxu@gnome.org>
Date:   Sun Jan 24 15:34:41 2010 +0800

    Update Simplified Chinese translation.

M	po/zh_CN.po

commit 89309a8bb1e76209e147180a3fe2fd15307d6012
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jan 15 00:02:07 2010 +0100

    [libmenu] Do not count non-inlining submenus as inlining with header
    
    When computing if a submenu should be inlined, we use the number of
    items in the subsubmenus. It was always assuming that inlining with a
    header would be used, because of misuse of the will_inline_header field.

M	libmenu/gmenu-tree.c

commit 4b51a77fcbc1a2c3e94945c4b92a65559f7e5996
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 14 23:30:47 2010 +0100

    [libmenu] Support inline alias of an inline alias

M	libmenu/gmenu-tree.c

commit cd1d0a199110ca94266c3e8b928e61d12cd2aac3
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 14 23:26:49 2010 +0100

    [libmenu] Add real support for inline aliases during layout processing
    
    It looks like the inline aliases were not really tested before...
    
    All the processing of the layout info (merge_subdir_by_name,
    merge_entry_by_id, merge_subdirs, merge_entries,
    merge_subdirs_and_entries) was completely ignoring the fact that some
    subdirs or entries might be aliases, and therefore need a different
    processing.
    
    This is now done correctly, and we have a merge_alias() function to do
    the right thing when an alias is detected.
    
    Also, this simplifies quite a bit the sorting of subdirs or entries
    since we always need to check the types of the items we compare, so we
    can get rid of gmenu_tree_directory_compare and
    gmenu_tree_entry_compare.

M	libmenu/gmenu-tree.c

commit cda451cec61345d357cbc26e5a5dfd102f476ea5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Jan 14 21:29:42 2010 +0100

    [libmenu] Fix miscalulation for inlining when inline_header = true
    
    When inline_header = true for a subdirectory, the length of the content
    of the parent directory was miscomputed: instead of adding the length of
    the subdirectory, it was just replacing the current length with the
    length of the subdirectory.
    
    Also fix a typo in a comment

M	libmenu/gmenu-tree.c

commit b6dc7a2443ef3d8fef1a1175532124882e95d03b
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Wed Dec 2 14:36:36 2009 +0530

    Updated telugu translation

M	po/te.po

commit 696867378e99b410c1803412c7f894c99b386f64
Author: Thomas Thurman <tthurman@gnome.org>
Date:   Sat Oct 31 22:26:02 2009 -0400

    Shavian translation

M	po/LINGUAS
A	po/en@shaw.po

commit 4c76410de345e06b879c85fa015659286f42c240
Author: Nils-Christoph Fiedler <linux@medienkompanie.de>
Date:   Thu Oct 22 19:47:54 2009 +0200

    Updated Low German translation

M	po/nds.po

commit 5f2c53bd3fbd4b39707609955f445c96eb9b5fb3
Author: Reşat SABIQ <tilde.birlik@gmail.com>
Date:   Wed Oct 21 00:29:46 2009 -0500

    Update for Crimean Tatar (Crimean Turkish) translation

M	po/crh.po

commit bde6cabd440da28d25983e762ed6b71849da918f
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Tue Oct 20 12:06:06 2009 +0300

    Updated Russian translation

M	po/ru.po

commit 72f4ede1ab9bbcfa29affda98e1fcfecdfcf87ef
Author: Gil Forcada <gforcada@gnome.org>
Date:   Tue Oct 6 17:36:50 2009 +0200

    Updated Catalan translation

M	po/ca.po

commit e1c00f83d903581233e7e15655916b4079b3e500
Author: Sveinn í Felli <sveinki@nett.is>
Date:   Fri Oct 2 06:17:30 2009 +0000

    Updated Icelandic translation

M	po/is.po

commit 5aff8025f08164699721084857a5321ed2a45abe
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 1 13:25:58 2009 +0200

    [release] post-release bump to 2.28.1

M	configure.in

commit 1d899c5b7bafb9ea01e0f407df7acb2b0d6432f4 (tag: GNOME_MENUS_2_28_0_1)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 1 13:25:50 2009 +0200

    [release] 2.28.0.1

M	NEWS
M	README
M	configure.in

commit 9d8e52a9a3e495f1e8e50a61f89510a03a4d31c9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Thu Oct 1 13:21:45 2009 +0200

    [build] Link the python binding to libpython
    
    Thanks to Frederic Crozat <fcrozat@mandriva.com> for spotting this.

D	acinclude.m4
A	m4/python.m4
M	python/Makefile.am

commit 117273842932a6fb24143926513474c28e3595b4
Author: Frederic Crozat <fcrozat@mandriva.com>
Date:   Tue Sep 29 15:35:10 2009 +0200

    [libmenu] Make sure to use a value when sorting items during a merge
    
    The name variable was not assigned any value...

M	libmenu/gmenu-tree.c

commit 5713f8e66b0fe3791a57555ebd12ddb076176cd9
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 21 18:18:27 2009 +0200

    [release] post-release bump to 2.28.1

M	configure.in

commit ddc11bf8f9d279cc2578c074ccb2c85a837e4ba7 (tag: GNOME_MENUS_2_28_0)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 21 18:18:18 2009 +0200

    [release] 2.28.0

M	NEWS
M	README
M	configure.in

commit 87d43c2dd053ae3cb16e53341db2cb60ae348cf9
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:   Mon Sep 21 11:30:34 2009 +0530

    Updating Assamese translations

M	po/as.po

commit a44cc5ae04856e05300dc189cab1a9e0ea0d7697
Author: Amitakhya Phukan <aphukan@fedoraproject.org>
Date:   Mon Sep 21 11:29:14 2009 +0530

    Updating Assamese translations

M	po/as.po

commit e6a5afde9de461ccbc45556ca7720d0b9e1c63a8
Author: Shankar Prasad <svenkate@redhat.com>
Date:   Mon Sep 21 10:18:37 2009 +0530

    Updated Kannada(kn) translation

M	po/kn.po

commit dc324804a5105c78f5fded62232d7f83976dec2d
Author: Petr Kovar <pknbe@volny.cz>
Date:   Mon Sep 21 04:22:31 2009 +0200

    Updated Czech translation

M	po/cs.po

commit c7045e1d8937e7730cde99e87dce31ccb3474d76
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Sun Sep 20 12:35:22 2009 +0530

    maithili update, translated by Sangeeta Kumari

M	po/mai.po

commit 3e5f8caa3f659f4a3ea7730ea79af98c639379ac
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Sep 19 10:25:52 2009 +0200

    Updated Swedish translation

M	po/sv.po

commit 8af7dc29b7ccf039422d70c38f3927d1e493e726
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Fri Sep 18 15:08:11 2009 +0200

    Added Italian translation

M	po/it.po

commit b46ad5eb16a78883c09ebddcf09634368052ac72
Author: krishnababu k <kkrothap@redhat.ocm>
Date:   Thu Sep 17 21:43:06 2009 +0530

    Updated Telugu Translation

M	po/te.po

commit 9f35303a5dbb43c2f024d001de95dd58402e4519
Author: Maxim V. Dziumanenko <dziumanenko@gmail.com>
Date:   Thu Sep 17 13:56:16 2009 +0300

    Added Ukrainian translation

M	po/uk.po

commit 9f656630180c4328bfe95e325c4e2afbf61a22d4
Author: Niels-Christoph Fiedler <linux@medienkompanie.de>
Date:   Wed Sep 16 18:33:04 2009 +0200

    Updated German translation

M	po/nds.po

commit 3989f3da21c0b72c2161c4476620e992ca533a02
Author: Adi Roiban <adi@roiban.ro>
Date:   Wed Sep 16 16:01:54 2009 +0300

    Updated Romanian translation

M	po/ro.po

commit a9f05d49e0e31e5cd7ec6ca6e835b3de438f3033
Author: Rajesh Ranjan <rranjan@rranjan.csb>
Date:   Wed Sep 16 13:47:43 2009 +0530

    hindi update by Rajesh Ranjan

M	po/hi.po

commit 19d5f458acc6001cee1446caa39163f3369af273
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Tue Sep 15 02:11:17 2009 +0300

    Updated Lithuanian translation.

M	po/lt.po

commit 1102f0542b4df782708eb857e638bfd5966aa7dc
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Sep 13 03:23:56 2009 +0200

    Updated Danish translation

M	po/da.po

commit da99034888d5191a27e3029cbad6c73c7e52e10a
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Sep 12 23:35:46 2009 +0100

    Updated British English translation

M	po/en_GB.po

commit 67c6af706c287319a7d5c73cf86d5209fd89f44f
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Sun Sep 13 06:32:22 2009 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit ebd7a9aaa45fb4b43ac7e5b35e45412ddd55dc9d
Author: Ani <peter.ani@gmail.com>
Date:   Sat Sep 12 18:32:13 2009 +0530

    Updaeted Malayalam Translations

M	po/ml.po

commit 37d761d18917ba9167c2be84c8fd5c6948ff3139
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 12 10:31:29 2009 +0200

    Updated Slovenian translation

M	po/sl.po

commit 333ce6b4509b8137c085171b730b92f0d2870c7b
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Fri Sep 11 19:35:53 2009 +0530

    Updated Marathi Translations

M	po/mr.po

commit 068006c9639123b7c7fe47855f5e1801c78c7dd0
Author: A S Alam <aalam@users.sf.net>
Date:   Thu Sep 10 06:46:10 2009 +0530

    updating for Punjabi

M	po/pa.po

commit 7411701b1e806aa8f283ea9868d165ab150ac2c7
Author: Baris Cicek <baris@teamforce.name.tr>
Date:   Thu Sep 10 00:25:54 2009 +0300

    Updated Turkish translation.

M	po/tr.po

commit eb43a84b5a1b55f1743e9d0b9aee036a72962b17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:10:28 2009 +0200

    [build] Generate bzip2 tarballs and use foreign automake option

M	configure.in

commit 4d35bde7e67f6b59c108ebc8615a342cb93cbd17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:08:49 2009 +0200

    [release] post-release bump to 2.28.0

M	configure.in

commit 908771796bad88ce49158f951bd7ca40c51b256b (tag: GNOME_MENUS_2_27_92)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Sep 9 02:08:40 2009 +0200

    [release] 2.27.92

M	NEWS
M	README
M	configure.in

commit f1a8145230fc24f47f4818f39839aafe5b911c37
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Tue Sep 8 22:14:00 2009 +0900

    Updated Japanese translation

M	po/ja.po

commit 0178e1acc5aeca2e05ddfcf67e8f03e8ee82eff6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Sep 8 00:20:56 2009 +0200

    [misc] Bump version to 2.27.92

M	configure.in

commit db81a7f1194e435b538ab6710d752276fb1c7135
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 7 23:28:56 2009 +0200

    [editor] Use display name instead of name

M	simple-editor/GMenuSimpleEditor/menutreemodel.py

commit d3fdd0ba4133c66e670561bca5b1bf4dd1a8feea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 7 23:13:22 2009 +0200

    [libmenu,python] Add gmenu_tree_get_sort_key()/gmenu_tree_set_sort_key()
    
    This is needed for users of gnome-menus that display applications by
    strings obtained via get_display_name(), since the order of entry
    changes if strings are different.
    
    The default is to keep the sort order by name. At the moment, the only
    other option is to use a sort by display name.
    
    Bindings for python are added too.

M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h
M	python/gmenu.c

commit 4b007ffddf4cfd58d508a8c24d49ca8724753bb0
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 7 23:19:49 2009 +0200

    [python] Fix accidental swap between display_name and generic_name

M	python/gmenu.c

commit 22b78e8b3cbc5d68638a1729728b682a4ce1d10b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 7 19:21:12 2009 +0200

    [python] Add bindings for get_generic_name() and get_display_name()

M	python/gmenu.c

commit e539c64e99a000b3a89a53bb5a6233a6b16ed96a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Sep 7 19:19:41 2009 +0200

    [libmenu] Add gmenu_tree_entry_get_display_name() API
    
    This API returns the content of the X-GNOME-FullName key if available,
    and fallbacks to Name.

M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit 9767b9094ef22034be948f289473726e922e1d28
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Sep 7 02:30:34 2009 +0200

    Hungarian translation updated

M	po/hu.po

commit c2e0a3cedf6ceded675e6d6b8368d98dc8e64716
Author: Rodrigo L. M. Flores <rlmflores@src.gnome.org>
Date:   Sun Aug 30 19:56:20 2009 -0300

    Updated Brazilian Portuguese mailing list address.

M	po/pt_BR.po

commit e5c016f25d380332029e4b4d78ebc795fcc06e27
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Aug 30 14:54:33 2009 +0200

    Updated German translation

M	po/de.po

commit aadd320b39ccd5a713b2fc9f5fb85d894141c61f
Author: Miloš Popović <mpopovic@src.gnome.org>
Date:   Sat Aug 29 14:43:42 2009 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 900767c9056455409c0ad674d17959b50b1a0f49
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Fri Aug 28 12:30:47 2009 +0530

    Updated Bengali India Translations

M	po/bn_IN.po

commit 66913548e742cc1a8c138fccce9302b88fe5eae9
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Aug 27 08:58:37 2009 +0100

    Updated Portuguese translation

M	po/pt.po

commit 4dbf30628a5f29f8eb0b85c65ffd5b9b0caa5177
Author: Claude Paroz <claude@2xlibre.net>
Date:   Wed Aug 26 21:33:09 2009 +0200

    Updated French translation

M	po/fr.po

commit bcf479be8e2b92c26becafe004a0f1b1c62af679
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Wed Aug 26 18:27:07 2009 +0200

    Updated Basque language

M	po/eu.po

commit 5ee416dd4c7b0ddb11c7c38581bf293b3b9352dd
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Wed Aug 26 09:31:11 2009 +0200

    Updated Italian translation

M	po/it.po

commit a02a132ed3b18f156bf2c7e965c3075685f72759
Author: Tomasz Dominikowski <dominikowski@gmail.com>
Date:   Tue Aug 25 19:26:18 2009 +0200

    Updated Polish translation

M	po/pl.po

commit 6f55d2289a2a30d03db2bf40c31f79474ff952c0
Author: Frédéric Péters <fpeters@0d.be>
Date:   Sat Aug 22 13:44:25 2009 +0200

    Remove deprecated Encoding key from desktop file

M	simple-editor/gmenu-simple-editor.desktop.in

commit 4771bdb6af1b29f10ba39706cb2b63433d1f0480
Author: Andre Klapper <a9016009@gmx.de>
Date:   Mon Aug 24 23:01:03 2009 +0200

    Change nds_NFE to nds as discussed on irc

M	po/LINGUAS
R100	po/nds_NFE.po	po/nds.po

commit 539360b4cfa0c26b884c9811acd15d943a7574a0
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Mon Aug 24 15:37:44 2009 +0530

    Updated Gujarati Translations

M	po/gu.po

commit 28501f2afe901298d74760362f47bb7f67107699
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Aug 23 07:27:42 2009 +0900

    Update Korean translation

M	po/ko.po

commit b2b842dbd5fd8687562d0961ad62391d5f72004f
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Aug 22 15:09:52 2009 +0200

    Added Low German to LINGUAS

M	po/LINGUAS

commit 4694660b8ebac75d9c72ef1de5654bd031a9062e
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Aug 22 15:07:10 2009 +0200

    Added Low German translation

A	po/nds_NFE.po

commit 9dc36cf2b049dbca649c92911f29644b073f031b
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Thu Aug 20 21:19:07 2009 +0300

    Updated Arabic translation

M	po/ar.po

commit 895ba3af6f107e61cc6a4414746d94ba3df38a8f
Author: Alexander Shopov <ash@contact.bg>
Date:   Fri Aug 14 07:48:02 2009 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 761e44b26fd2315f8823d3b5f2347346f1ef9eb0
Author: Manoj Kumar Giri <mgiri@mgiri.csb>
Date:   Thu Aug 13 20:09:24 2009 +0530

    Updated Oriya Translation

M	po/or.po

commit c49f4bb691fd51039add261b9a19c5b45bbbd0d5
Author: Antón Méixome <meixome@mancoumun.org>
Date:   Wed Aug 12 13:25:27 2009 +0200

    Updated Galician translation

M	po/gl.po

commit 3ed6cedb4154fa399f48b036088fa703291d28d9
Author: Krix Apolinário <krixapolinario@gmail.com>
Date:   Wed Aug 12 00:01:59 2009 -0300

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit 3f85e31f5fbb7e3e77ed8459af8b18f071ed3767
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Aug 4 18:15:34 2009 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit ed5f86151fd103c446535bc8d1ed3d80604e2899
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Wed Jul 29 17:45:34 2009 -0600

    Updated Irish translation

M	po/ga.po

commit 6b5cd5918a318712237b5fc511fe122a1229a29b
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Wed Jul 29 12:13:13 2009 +0200

    Updated breton translation

M	po/br.po

commit c6f657e60f70bb848b70b9462591a38c973b4010
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Wed Jul 29 12:12:26 2009 +0530

    Updated Tamil translation

M	po/ta.po

commit 458924440a7f69c64272ddeb9fbe1999ac70bbcd
Author: drtvasudevan <agnihot3@gmail.com>
Date:   Wed Jul 29 12:10:37 2009 +0530

    Updated Tamil translation

M	po/ta.po

commit 3d9f5ce3d34839e2342692a849838c9e7503c588
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Wed Jul 29 07:09:51 2009 +0200

    Updated breton translation

M	po/br.po

commit ea7245e45238b380a8ba11ee8dabc67775e49c6f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 29 00:08:38 2009 +0200

    [misc] Update commit guidelines for referencing bugs

M	ChangeLog

commit 374cdd09e33122d6a7f06eec9748130b3c85f9fe
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 28 18:07:17 2009 +0200

    [release] post-release bump to 2.27.90

M	configure.in

commit e399908c171a0add6ab6febd405b5121b3772fd2
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 28 18:07:07 2009 +0200

    [release] 2.27.5

M	NEWS
M	README
M	configure.in

commit 2bb16693175f59d28c8a798d50ffb9b462c916f3
Author: Denis Arnaud <darnaud@src.gnome.org>
Date:   Tue Jul 28 14:10:04 2009 +0200

    Updated breton translation

M	po/br.po

commit b9cbf41d7c93ad8f18a5b9162dbd85a9e2774efa
Author: Aron Xu <aronxu@gnome.org>
Date:   Sun Jul 26 18:25:28 2009 +0800

    Updated Simplified Chinese translation.

M	po/zh_CN.po

commit 0aed3c9a813e79ad57ec335e2aa410beb5d23991
Author: Theppitak Karoonboonyanan <thep@linux.thai.net>
Date:   Thu Jul 23 15:13:40 2009 +0700

    Updated Thai translation.

M	po/th.po

commit 83e66d9b0487b0be48ea935801d500e9857a4ae5
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 19:35:18 2009 +0200

    [build] Set m4/ as macro dir

M	Makefile.am
M	configure.in

commit 34c1fcb2306df9ca22634a82e75865eda1031769
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Jul 21 18:53:35 2009 +0200

    [build] Use silent-rules instead of shave for quiet build

M	configure.in
D	m4/shave.m4
D	shave-libtool.in
D	shave.in
M	simple-editor/GMenuSimpleEditor/Makefile.am
M	simple-editor/Makefile.am

commit 8ca7e0223b9f0e935889c146bfb5378bfeadf0ea
Author: Ilkka Tuohela <hile@iki.fi>
Date:   Sun Jul 19 10:39:57 2009 +0300

    Updated Finnish translation

M	po/fi.po

commit b8fa21a37017f3fe5e333a616434c5b489e7f333
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 16:52:26 2009 +0200

    [release] post-release bump to 2.27.5

M	configure.in

commit c17916822f13accf78dfc4d1f3ef8bc398e398f5 (tag: GNOME_MENUS_2_27_4)
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Jul 15 16:52:15 2009 +0200

    [release] 2.27.4

M	NEWS
M	README
M	configure.in

commit d49ae45dc30c3fbafded146e5fbccbe23215316b
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Jul 7 19:37:51 2009 +0200

    Updated Swedish translation

M	po/sv.po

commit 0b7478a5de36192e3bc31576c7e8114a3a6dbed3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Jul 4 22:39:12 2009 +0300

    Updated Hebrew translation

M	po/he.po

commit 8bddaf2076e094043189a20c36bf66b8c3813921
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat Jun 27 04:18:02 2009 +0200

    [libmenu] Sort inlined items unless inline_header is used
    
    We also strip duplicate entries in a menu when we do such a sort.
    
    This is actually not a trivial task since it means we have to correctly
    preprocess all inline data before using the layout -- else, we'd try to
    sort items while a layout has been used, which is too late (since you
    can specify that you want mixed entries and directories, eg; or even
    entries or directories in a specified order).
    
    We make sure to evaluate the inline data at the deepest first, so we can
    correctly propagate as much inline items as possible to the top.
    
    http://bugzilla.gnome.org/show_bug.cgi?id=490483

M	libmenu/gmenu-tree.c

commit 0b1f053e07d1d4c081a58303cfe7ed6b583ed966
Author: Jorge Gonzalez <jorgegonz@svn.gnome.org>
Date:   Sat Jun 27 14:58:46 2009 +0200

    Updated Spanish translation

M	po/es.po

commit 7a6b5b5a292357357f4458820b6e8f851472c592
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jun 26 23:42:59 2009 +0200

    [libmenu] Do not always inherit parent DefaultLayout attributes
    
    We should not use the parent DefaultLayout attributes when there no
    DefaultLayout children for the child but there are DefaultLayout
    attributes for the child.
    
    Ie, if the child has <DefaultLayout inline="true"/>, then it used to
    keep inheriting the parent DefaultLayout attributes, and then possibly
    lose the inline="true".

M	libmenu/gmenu-tree.c

commit 89ab14f5fd34d18ef1591baf1000f5197344cd92
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Jun 26 23:19:47 2009 +0200

    [libmenu] Fix DefaultLayout attributes not being inherited
    
    The submenus were not inheriting the DefaultLayout attributes (eg,
    all the inline parameters) of their parent when there was no child to
    the DefaultLayout of their parent.
    
    Concretely, this was ignored for submenus:
      <DefaultLayout inline="true"/>
    while this should have behaved like:
      <DefaultLayout inline="true"><Merge type="all"/></DefaultLayout>

M	libmenu/gmenu-tree.c

commit 6f948049c368cad02b713332430b98c5daa11b5e
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Thu Jun 25 14:29:03 2009 +0300

    Updating Estonian translation

M	po/et.po

commit 80f5477a91e11630403d60b701658c7ae242c7d7
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Jun 21 19:35:00 2009 +0200

    Add translator comment

M	simple-editor/GMenuSimpleEditor/main.py

commit fc7e3ebf3266a47de4dc96a2fc938e01848eb53d
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sun Jun 21 19:28:21 2009 +0200

    Fix POTFILES.in

M	po/POTFILES.in

commit dca731f53b3686436cc94cf2704035419c03b7e8
Author: Robert Staudinger <robsta@gnome.org>
Date:   Thu May 7 17:28:08 2009 +0200

    [libmenu] Add API to access GenericName
    
    http://bugzilla.gnome.org/show_bug.cgi?id=581887

M	libmenu/desktop-entries.c
M	libmenu/desktop-entries.h
M	libmenu/gmenu-tree.c
M	libmenu/gmenu-tree.h

commit d504fabf22e5303abd631e5a868fb5f45f4c7b05
Author: Pedro Fragoso <ember@ubuntu.com>
Date:   Sun Jun 21 01:17:26 2009 +0200

    [editor] Port to GtkBuilder
    
    (with a few tweaks by me to make it work)
    
    http://bugzilla.gnome.org/show_bug.cgi?id=580158

M	po/POTFILES.in
M	simple-editor/GMenuSimpleEditor/config.py.in
M	simple-editor/GMenuSimpleEditor/main.py
M	simple-editor/GMenuSimpleEditor/maindialog.py
M	simple-editor/Makefile.am
D	simple-editor/gmenu-simple-editor.glade
A	simple-editor/gmenu-simple-editor.ui

commit fecc2847cf75048a6fe41c7423ac1e705a32b12b
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Jun 21 01:09:40 2009 +0200

    [editor] Add --help and --version arguments
    
    http://bugzilla.gnome.org/show_bug.cgi?id=552989

M	simple-editor/GMenuSimpleEditor/main.py

commit db6d999b0ada473a3124a14dd83ed7ccb2375474
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:   Sun May 24 21:21:58 2009 +0100

    Updated Irish translation

M	po/ga.po

commit 0aa50a649aa76ea95f2cda225a87448e8a16b69c
Author: Inash Zubair <inash@leptone.com>
Date:   Sat May 23 13:32:29 2009 +0200

    Added Divehi translation

M	po/LINGUAS
A	po/dv.po

commit 569e4835258906ca51b6b32e062cb3f860e5aeac
Author: Michael Meeks <michael.meeks@novell.com>
Date:   Thu May 21 03:55:59 2009 +0200

    [libmenu] Add a cache for listing the desktop files
    
    When processing a layout, we get the list of desktop files from a set of
    directories. It turns out that we nearly always use the same set of
    directories, so adding a one-entry cache makes it possible to avoid
    computing things again and again.
    
    I changed Michael's patch a bit, mainly to empty the cache when the last
    GMenuTree is unref'ed.
    
    Closes: bgo#498749

M	libmenu/entry-directories.c
M	libmenu/entry-directories.h
M	libmenu/gmenu-tree.c

commit 020085ed0a4086509ede57eb4fb480bbdbb5c79a
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sat May 2 02:24:07 2009 +0200

    Update commit messages guidelines

M	ChangeLog

commit 4900c5713c5caf69d4d476023fb5638fb9d60a17
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 00:20:04 2009 +0200

    Use git.mk from pango to autogenerate .gitignore files

M	Makefile.am
M	desktop-directories/Makefile.am
A	git.mk
M	layout/Makefile.am
M	libmenu/Makefile.am
M	python/Makefile.am
M	simple-editor/GMenuSimpleEditor/Makefile.am
M	simple-editor/Makefile.am
M	util/Makefile.am

commit c11452a831ab1ecf15ccb516492740980bda7c18
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 01:10:53 2009 +0200

    Remove .cvsignore files

D	.cvsignore
D	desktop-directories/.cvsignore
D	layout/.cvsignore
D	libmenu/.cvsignore
D	po/.cvsignore
D	python/.cvsignore
D	simple-editor/.cvsignore
D	simple-editor/GMenuSimpleEditor/.cvsignore
D	util/.cvsignore

commit 5fa8af519c166de0a0abd4d9cf0e396540270b4f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 27 00:13:56 2009 +0200

    Use shave to improve build log readability
    
    See http://git.lespiau.name/cgit/shave/tree/README for more details.

M	configure.in
A	m4/shave.m4
A	shave-libtool.in
A	shave.in
M	simple-editor/GMenuSimpleEditor/Makefile.am
M	simple-editor/Makefile.am

commit 22e86da4dfd79d8f2084bce3537607fa2b9bd40e
Author: Vincent Untz <vuntz@gnome.org>
Date:   Sun Apr 26 12:26:11 2009 +0200

    Fix doap file to have mail address as URL (mailto:)

M	gnome-menus.doap

commit 1e3078b3ef1f58c7f6e8878ff0836d312c3e57dc
Author: Vincent Untz <vuntz@gnome.org>
Date:   Fri Apr 24 03:25:12 2009 +0200

    Make autogen.sh more modern.

M	autogen.sh

commit 2f4ef97ac8153a1460b2a1404c4f622712b3db81
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 22 17:28:55 2009 +0200

    Add doap file

A	gnome-menus.doap

commit e5c0da200efb4a82d8478d45c62959b848085d77
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Apr 22 17:27:40 2009 +0200

    ename ChangeLog files to ChangeLog.pre-git

M	ChangeLog
C100	ChangeLog	ChangeLog.pre-git
R100	po/ChangeLog	po/ChangeLog.pre-git

commit 71593a96a06add451182f6b2bf848daaae3d37a0
Author: Miquel Esplà <miquelespla@gmail.com>
Date:   Tue Apr 21 15:05:10 2009 +0200

    Added Valencian-Catalan translation

M	po/LINGUAS
A	po/ca@valencia.po

commit 44190fe0edccfe82eeed523af572bcda3cb55dab
Author: Vincent Untz <vuntz@gnome.org>
Date:   Mon Apr 13 22:05:39 2009 +0000

    post-release bump to 2.26.2
    
    2009-04-14  Vincent Untz  <vuntz@gnome.org>
    
            * configure.in: post-release bump to 2.26.2
    
    svn path=/trunk/; revision=1017

M	ChangeLog
M	configure.in
M	po/ChangeLog
